<!doctype linuxdoc system>

<article>

<title>The Mutt E-Mail Client
<author>by Michael Elkins <htmlurl url="mailto:me@cs.hmc.edu" name="&lt;me@cs.hmc.edu&gt;">
<date>v0.92.13, 30 June 1998
<abstract>
``All mail clients suck.  This one just sucks less.'' -me, circa 1995
</abstract>

<sect>Introduction
<p>
<bf/Mutt/ is a small but very powerful text-based MIME mail client.  Mutt is
highly configurable, and is well suited to the mail power user with advanced
features like key bindings, keyboard macros, mail threading, regular
expression searches and a powerful pattern matching language for selecting
groups of messages.

<sect1>Mutt Home Page
<p>
<htmlurl url="http://www.cs.hmc.edu/~me/mutt/index.html"
name="http://www.cs.hmc.edu/~me/mutt/index.html">

<sect1>Mailing Lists
<p>
To subscribe to one of the following mailing lists, send a message with the
word <em/subscribe/ in the subject to
<tt/list-name/<em/-request/<tt/@cs.hmc.edu/.

<itemize>
<item><htmlurl url="mailto:mutt-announce-request@cs.hmc.edu"
name="mutt-announce@cs.hmc.edu"> -- low traffic list for announcements
<item><htmlurl url="mailto:mutt-users-request@cs.hmc.edu"
name="mutt-users@cs.hmc.edu"> -- help, bug reports and feature requests
<item><htmlurl url="mailto:mutt-dev-request@cs.hmc.edu" name="mutt-dev@cs.hmc.edu"> -- development mailing list
</itemize>

<bf/Note:/ all messages posted to <em/mutt-announce/ are automatically
forwarded to <em/mutt-users/, so you do not need to be subscribed to both
lists.

<sect1>Software Distribution Sites
<p>
<itemize>
<item><htmlurl url="ftp://ftp.cs.hmc.edu/pub/me/mutt/"
name="ftp://ftp.cs.hmc.edu/pub/me/mutt/">
</itemize>

<sect1>IRC
<p>
Visit channel <em/#mutt/ on <htmlurl url="http://www.dal.net" name="DALnet
(www.dal.net)"> to chat with other people interested in Mutt.

<sect1>USENET
<p>
See the newsgroup <htmlurl url="news:comp.mail.mutt" name="comp.mail.mutt">.

<sect1>Copyright
<p>
Mutt is Copyright (C) 1996-8 Michael R. Elkins &lt;me@cs.hmc.edu&gt;

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

<sect>Getting Started
<p>

This section is intended as a brief overview of how to use Mutt.  There are
many other features which are described elsewhere in the manual.  There
is even more information available in the Mutt FAQ and various web
pages.  See the <htmlurl url="http://www.cs.hmc.edu/~me/mutt/"
name="Mutt Page"> for more details.

The keybindings described in this section are the defaults as distributed.
Your local system administrator may have altered the defaults for your site.
You can always type ``?'' in any menu to display the current bindings.

The first thing you need to do is invoke mutt, simply by typing mutt
at the command line.  There are various command-line options, see 
either the mutt man page or the <ref id="commandline" name="reference">.

<sect1>Moving Around in Menus
<p>

Information is presented in menus, very similar to ELM.  Here is a table
showing the common keys used to navigate menus in Mutt.

<tscreen><verb>
j or Down	next-entry	move to the next entry
k or Up		previous-entry	move to the previous entry
z or PageDn	page-down	go to the next page
Z or PageUp	page-up		go to the previous page
= or Home	first-entry	jump to the first entry
* or End	last-entry	jump to the last entry
q		quit		exit the current menu
?		help		list all keybindings for the current menu
</verb></tscreen>

<sect1>Editing Input Fields<label id="editing">
<p>
Mutt has a builtin line editor which is used as the primary way to input
textual data such as email addresses or filenames.  The keys used to move
around while editing are very similar to those of Emacs.

<tscreen><verb>
^A or <Home>	bol		move to the start of the line
^B or <Left>	backward-char	move back one char
^D or <Delete>	delete-char	delete the char under the cursor
^E or <End>	eol		move to the end of the line
^F or <Right>	forward-char	move forward one char
^K		kill-eol	delete to the end of the line
^U		kill-line	delete entire line
^W		kill-word	kill the word in front of the cursor
<Up>		history-up	recall previous string from history
<Down>		history-down	recall next string from history
<BackSpace>	backspace	kill the char in front of the cursor
^G		n/a		abort
<Tab>		n/a		complete filename (only when prompting for a file)
<Return>	n/a		finish editing
</verb></tscreen>

You can remap the <em/editor/ functions using the <ref id="bind" name="bind">
command.  For example, to make the <em/Delete/ key delete the character in
front of the cursor rather than under, you could use

<tt/bind editor delete backspace/

<sect1>Reading Mail - The Index and Pager
<p>

Similar to many other mail clients, there are two modes in which mail is
read in Mutt.  The first is the index of messages in the mailbox, which is
called the ``index'' in Mutt.  The second mode is the display of the
message contents.  This is called the ``pager.''

The next few sections describe the functions provided in each of these
modes.

<sect2>The Message Index
<p>

<tscreen><verb>
c		change to a different mailbox
ESC c 		change to a folder in read-only mode
C		copy the current message to another mailbox
ESC C		decode a message and copy it to a folder
ESC s		decode a message and save it to a folder
D		delete messages matching a pattern
d		delete the current message
F		mark as important
l		show messages matching a pattern
N		mark message as new
o		change the current sort method
O		reverse sort the mailbox
q		save changes and exit
s		save-message
t		toggle the tag on a message
ESC t		toggle tag on entire message thread
u		undelete-message
v		view-attachments
x		abort changes and exit
<Return>	display-message
<Tab>		jump to the next new message
@		show the author's full e-mail address
$		save changes to mailbox
/		search
ESC /		search-reverse
^L		clear and redraw the screen
^T		tag messages matching a pattern
^U		undelete messages matching a pattern
</verb></tscreen>

<sect3>Status Flags
<p>

In addition to who sent the message and the subject, a short summary of
the disposition of each message is printed beside the message number.
Zero or more of the following ``flags'' may appear, which mean:

<p>
<tscreen><verb>
D	message is deleted
K	contains a PGP public key
M	requires mailcap to view
N	message is new
O	message is old
P	message is PGP encrypted
r	message has been replied to
S	message is PGP signed
!	message is flagged
*	message is tagged
</verb></tscreen>

Some of the status flags can be turned on or off using
<itemize>
<item><bf/set-flag/ (default: w)
<item><bf/clear-flag/ (default: W)
</itemize>

<p>
Furthermore, the following flags reflect who the message is addressed
to.  They can be customized with the
<ref id="to_chars" name="&dollar;to&lowbar;chars"> variable.

<p>
<tscreen><verb>
+	message is to you and you only
T	message is to you, but also to or cc'ed to others
C	message is cc'ed to you
F	message is from you
</verb></tscreen>

<sect2>The Pager
<p>

By default, Mutt uses its builtin pager to display the body of messages.
The pager is very similar to the Unix program <em/less/ though not nearly as
featureful.

<tscreen><verb>
<Return>	go down one line
<Space>		display the next page (or next message if at the end of a message)
-		go back to the previous page
n		display the next message
?		show keybindings
/		search for a regular expression (pattern)
\       	toggle search pattern coloring
</verb></tscreen>

In addition, many of the functions from the <em/index/ are available in
the pager, such as <em/delete-message/ or <em/copy-message/ (this is one
advantage over using an external pager to view messages).

Also, the internal pager supports a couple other advanced features. For
one, it will accept and translate the ``standard'' nroff sequences for
bold and underline. These sequences are a series of either the letter,
backspace (^H), the letter again for bold or the letter, backspace,
``&lowbar;'' for denoting underline. Mutt will attempt to display these
in bold and underline respectively if your terminal supports them. If
not, you can use the bold and underline <ref id="color" name="color">
objects to specify a color or mono attribute for them.

Additionally, the internal pager supports the ANSI escape sequences for
character attributes.  Mutt translates them into the correct color and
character settings.  The sequences Mutt supports are:

<p>
<tscreen><verb>
ESC [ Ps;Ps;Ps;...;Ps m
where Ps =
0    All Attributes Off
1    Bold on
4    Underline on
5    Blink on
7    Reverse video on
3x   Foreground color is x
4x   Background color is x

Colors are
0    black
1    red
2    green
3    yellow
4    blue
5    magenta
6    cyan
7    white
</verb></tscreen>

Mutt uses these attributes for handling text/enriched messages, and they
can also be used by an external <ref id="auto_view" name="autoview">
script for highlighting purposes.  <bf/Note:/ If you change the colors for your
display, for example by changing the color associated with color2 for
your xterm, then that color will be used instead of green.

<sect2>Threaded Mode<label id="threads">
<p>
When the mailbox is <ref id="sort" name="sorted"> by <em/threads/, there are
a few additional functions available in the <em/index/ and <em/pager/ modes.

<tscreen><verb>
^D	delete-thread		delete all messages in the current thread
^U	undelete-thread		undelete all messages in the current thread
^N	next-thread		jump to the start of the next thread
^P	previous-thread		jump to the start of the previous thread
^R	read-thread		mark the current thread as read
ESC d	delete-subthread	delete all messages in the current subthread
ESC u	undelete-subthread	undelete all messages in the current subthread
ESC n	next-subthread		jump to the start of the next subthread
ESC p	previous-subthread	jump to the start of the previous subthread
ESC r	read-subthread		mark the current subthread as read
ESC t	tag-thread		toggle the tag on the current thread
</verb></tscreen>

See also: <ref id="strict_threads" name="&dollar;strict&lowbar;threads">.

<sect2>Miscellaneous Functions
<p><bf/create-alias/<label id="create-alias"> (default: a)<newline>

Creates a new alias based upon the current message (or prompts for a
new one).  Once editing is complete, an <ref id="alias" name="alias">
command is added to the file specified by the <ref id="alias_file"
name="&dollar;alias&lowbar;file"> variable for future use. <bf/Note:/
Specifying an <ref id="alias_file" name="&dollar;alias&lowbar;file">
does not add the aliases specified there-in, you must also <ref
id="source" name="source"> the file.

<p><bf/display-headers/<label id="display-headers"> (default: h)<newline>

Toggles the weeding of message header fields specified by <ref id="ignore"
name="ignore"> commands.

<p><bf/enter-command/<label id="enter-command"> (default: ``:'')<newline>

This command is used to execute any command you would normally put in a
configuration file.  A common use is to check the settings of variables, or
in conjunction with <ref id="macro" name="macros"> to change settings on the
fly.

<p><bf/extract-keys/<label id="extract-keys"> (default: ESC k)<newline>

This command extracts PGP public keys from the current or tagged
message(s) and adds them to your <ref id="pgp_v2_pubring"
name="&dollar;pgp&lowbar;v2&lowbar;pubring"> or <ref
id="pgp_v5_pubring" name="&dollar;pgp&lowbar;v5&lowbar;pubring">
depending on <ref id="pgp_key_version"
name="&dollar;pgp&lowbar;key&lowbar;version">.

<p><bf/forget-passphrase/<label id="forget-passphrase"> (default:
^F)<newline> 

This command wipes the PGP passphrase from memory. It is useful, if
you misspelled the passphrase.

<p><bf/list-reply/<label id="list-reply"> (default: L)<newline>

Reply to the current or tagged message(s) by extracting any addresses which
match the addresses given by the <ref id="lists" name="lists"> command.
Using this when replying to messages posted to mailing lists help avoid
duplicate copies being sent to the author of the message you are replying
to.

<bf/pipe-message/<label id="pipe-message"> (default: |)<newline>

Asks for an external Unix command and pipes the current or
tagged message(s) to it.  The variables <ref id="pipe_decode"
name="&dollar;pipe&lowbar;decode">, <ref id="pipe_split"
name="&dollar;pipe&lowbar;split">, <ref id="pipe_sep"
name="&dollar;pipe&lowbar;sep"> and <ref id="wait_key"
name="&dollar;wait&lowbar;key"> control the exact behaviour of this
function.

<bf/shell-escape/<label id="shell-escape"> (default: !)<newline>

Asks for an external Unix command and executes it.  The <ref
id="wait_key" name="&dollar;wait&lowbar;key"> can be used to control
whether Mutt will wait for a key to be pressed when the command returns
(presumably to let the user read the output of the command), based on
the return status of the named command.

<bf/toggle-quoted/<label id="toggle-quoted"> (default: T)<newline>

The <em/pager/ uses the <ref id="quote_regexp"
name="&dollar;quote&lowbar;regexp"> variable to detect quoted text when
displaying the body of the message.  This function toggles the display
of the quoted material in the message.  It is particularly useful when
are interested in just the response and there is a large amount of
quoted text in the way.

<bf/skip-quoted/<label id="skip-quoted"> (default: S)<newline>

This function will go to the next line of non-quoted text which come
after a line of quoted text in the internal pager.

<sect1>Sending Mail
<p>

The following bindings are available in the <em/index/ for sending
messages.

<tscreen><verb>
m	compose		compose a new message
r	reply		reply to sender
g	group-reply	reply to all recipients
L	list-reply	reply to mailing list address
f	forward		forward message
b	bounce		bounce (remail) message
ESC k	mail-key	mail a PGP public key to someone
</verb></tscreen>

Bouncing a message sends the message as is to the recipient you
specify.  Forwarding a message allows you to add comments or
modify the message you are forwarding.  Bouncing a message uses
the <ref id="sendmail" name="sendmail">
command to send a copy of a message to recipients as if they were
original recipients of the message.  See also <ref id="mime_forward"
name="&dollar;mime&lowbar;forward">.

Mutt will then enter the <em/compose/ menu and prompt you for the
recipients to place on the ``To:'' header field.  Next, it will ask
you for the ``Subject:'' field for the message, providing a default if
you are replying to or forwarding a message.  See also <ref id="askcc"
name="&dollar;askcc">, <ref id="askbcc" name="&dollar;askbcc">, <ref
id="autoedit" name="&dollar;autoedit">, and <ref id="fast_reply"
name="&dollar;fast&lowbar;reply"> for changing how Mutt asks these
questions.

Mutt will then automatically start your <ref id="editor"
name="&dollar;editor"> on the message body.  If the <ref id="edit_headers"
name="&dollar;edit&lowbar;headers"> variable is set, the headers will be at
the top of the message in your editor.  Any messages you are replying
to will be added in sort order to the message, with appropriate <ref
id="attribution" name="&dollar;attribution">, <ref id="indent_string"
name="&dollar;indent&lowbar;string"> and <ref id="post_indent_string"
name="&dollar;post&lowbar;indent&lowbar;string">.  When forwarding a
message, if the <ref id="mime_forward" name="&dollar;mime&lowbar;forward">
variable is unset, a copy of the forwarded message will be included.  If
you have specified a <ref id="signature" name="&dollar;signature">, it
will be appended to the message.

Once you have finished editing the body of your mail message, you are
returned to the <em/compose/ menu.  The following options are available:

<tscreen><verb>
a	attach-file		attach a file
ESC k	attach-key		attach a PGP public key
d	edit-description	edit description on attachment
D	detach-file		detach a file
T	edit-to			edit the To field
c	edit-cc			edit the Cc field
b	edit-bcc		edit the Bcc field
y	send-message		send the message
s	edit-subject		edit the Subject
f	edit-fcc		specify an ``Fcc'' mailbox
p	pgp-menu		select PGP options (``i'' version only)
P	postpone-message	postpone this message until later
q	quit			quit (abort) sending the message
i	ispell			check spelling (if available on your system)
^F	forget-passphrase	whipe PGP passphrase from memory
</verb></tscreen>

<sect2>Editing the message header<label id="edit_headers">
<p>
When editing the header of your outgoing message, there are a couple of
special features available.

If you specify<newline>
<tt/Fcc:/ <em/filename/<newline>
Mutt will pick up <em/filename/
just as if you had used the <em/edit-fcc/ function in the <em/compose/ menu.

You can also attach files to your message by specifying<newline>
<tt/Attach:/ <em/filename/  &lsqb; <em/description/ &rsqb;<newline>
where <em/filename/ is the file to attach and <em/description/ is an
optional string to use as the description of the attached file.

When replying to messages, if you remove the <em/In-Reply-To:/ field from
the header field, Mutt will not generate a <em/References:/ field, which
allows you to create a new message thread.

If you want to use PGP, you can specify 

<tt/Pgp:/ &lsqb; <tt/E/ | <tt/S/ | <tt/S&lt;id/&gt; &rsqb; <newline>

``E'' encrypts, ``S'' signs and
``S&lt;id&gt;'' signs with the given key, setting <ref
id="pgp_sign_as" name="&dollar;pgp&lowbar;sign&lowbar;as"> permanently.

Also see <ref id="edit_headers" name="edit&lowbar;headers">.

<sect1>Postponing Mail<label id="postponing_mail">
<p>

At times it is desirable to delay sending a message that you have
already begun to compose.  When the <em/postpone-message/ function is
used in the <em/compose/ menu, the body of your message and attachments
are stored in the mailbox specified by the <ref id="postponed"
name="&dollar;postponed"> variable.  This means that you can recall the
message even if you exit Mutt and then restart it at a later time.

Once a message is postponed, there are several ways to resume it.  From the
command line you can use the ``-p'' option, or if you <em/compose/ a new
message from the <em/index/ or <em/pager/ you will be prompted if postponed
messages exist.  If multiple messages are currently postponed, the
<em/postponed/ menu will pop up and you can select which message you would
like to resume.

<bf/Note:/ If you postpone a reply to a message, the reply setting of
the message is only updated when you actually finish the message and
send it.  Also, you must be in the same folder with the message you
replied to for the status of the message to be updated.

See also the <ref id="postpone" name="&dollar;postpone"> quad-option.

<sect>Configuration
<p>

While the default configuration (or ``preferences'') make Mutt usable right
out of the box, it is often desirable to tailor Mutt to suit your own tastes.
When Mutt is first invoked, it will attempt to read the ``system''
configuration file (defaults set by your local system administrator), unless
the ``-n'' <ref id="commandline" name="command line"> option is
specified.  This file is typically
<tt>/usr/local/share/Muttrc</tt> or <tt>/usr/local/lib/Muttrc</tt>.  Next,
it looks for a file in your home directory named <tt/.muttrc/.  In this file
is where you place <ref id="commands" name="commands"> to configure Mutt.

In addition, mutt supports version specific configuration files that are
parsed instead of the default files as explained above.  For instance, if
your system has a <tt/Muttrc-0.88/ file in the system configuration
directory, and you are running version 0.88 of mutt, this file will be
sourced instead of the <tt/Muttrc/ file.  The same is true of the user
configuration file, if you have a file <tt/.muttrc-0.88.6/ in your home
directory, when you run mutt version 0.88.6, it will source this file
instead of the default <tt/.muttrc/ file.  The version number is the
same which is visible using the ``-v'' <ref id="commandline"
name="command line"> switch or using the <tt/show-version/ key (default:
V) from the index menu.

<sect1>Syntax of Initialization Files
<p>

An initialization file consists of a series of <ref id="commands"
name="commands">.  Each line of the file may contain one or more commands.
When multiple commands are used, they must be separated by a semicolon (;).
<tscreen><verb>
	set realname='Mutt user' ; ignore x-
</verb></tscreen>
The hash mark, or pound sign
(``&num;''), is used as a ``comment'' character. You can use it to
annotate your initialization file. All text after the comment character
to the end of the line is ignored. For example,

<tscreen><verb>
my_hdr X-Disclaimer: Why are you listening to me? &num; This is a comment
</verb></tscreen>

Single quotes (') and double quotes (&dquot;) can be used to quote strings
which contain spaces or other special characters.  The difference between
the two types of quotes is similar to that of many popular shell programs,
namely that a single quote is used to specify a literal string (one that is
not interpreted for shell variables or quoting with a backslash &lsqb;see
next paragraph&rsqb;), while double quotes indicate a string for which
should be evaluated.  For example, backtics are evaluated inside of double
quotes, but <bf/not/ for single quotes.

&bsol; quotes the next character, just as in shells such as bash and zsh.
For example, if want to put quotes ``&dquot;'' inside of a string, you can use
``&bsol;'' to force the next character to be a literal instead of interpreted
character.
<tscreen><verb>
set realname="Michael \"MuttDude\" Elkins"
</verb></tscreen>

``&bsol;&bsol;'' means to insert a literal ``&bsol;'' into the line.
``&bsol;n'' and ``&bsol;r'' have their usual C meanings of linefeed and
carriage-return, respectively.

A &bsol; at the end of a line can be used to split commands over
multiple lines, provided that the split points don't appear in the
middle of command names.

It is also possible to substitute the output of a Unix command in an
initialization file.  This is accomplished by enclosing the command in
backquotes (``).  For example,
<tscreen><verb>
my_hdr X-Operating-System: `uname -a`
</verb></tscreen>
The output of the Unix command ``uname -a'' will be substituted before the
line is parsed.  Note that since initialization files are line oriented, only
the first line of output from the Unix command will be substituted.

For a complete list of the commands understood by mutt, see the
<ref id="commands" name="command reference">.

<sect1>Defining/Using aliases<label id="alias">
<p>

Usage: <tt/alias/ <em/key/ <em/address/ &lsqb; , <em/address/, ... &rsqb;

It's usually very cumbersome to remember or type out the address of someone
you are communicating with.  Mutt allows you to create ``aliases'' which map
a short string to a full address.

<bf/Note:/ if you want to create an alias for a group (by specifying more than
one address), you <bf/must/ separate the addresses with a comma (``,'').

To remove an alias or aliases:

<tt/unalias/ <em/addr/ &lsqb; <em/addr/ <em/.../ &rsqb;

<tscreen><verb>
alias muttdude me@cs.hmc.edu (Michael Elkins)
alias theguys manny, moe, jack
</verb></tscreen>

Unlike other mailers, Mutt doesn't require aliases to be defined
in a special file.  The <tt/alias/ command can appear anywhere in
a configuration file, as long as this file is <ref id="source"
name="sourced">.  Consequently, you can have multiple alias files, or
you can have all aliases defined in your muttrc.

On the other hand, the <ref id="create-alias" name="create-alias">
function can use only one file, the one pointed to by the <ref
id="alias_file" name="&dollar;alias&lowbar;file"> variable (which is
<tt>&tilde;/.muttrc</tt> by default). This file is not special either,
in the sense that Mutt will happily append aliases to any file, but in
order for the new aliases to take effect you need to explicitly <ref
id="source" name="source"> this file too.

For example:

<tscreen><verb>
source /usr/local/share/Mutt.aliases
source ~/.mail_aliases
set alias_file=~/.mail_aliases
</verb></tscreen>

To use aliases, you merely use the alias at any place in mutt where mutt
prompts for addresses, such as the <em/To:/ or <em/Cc:/ prompt.  You can
also enter aliases in your editor at the appropriate headers if you have the
<ref id="edit_headers" name="&dollar;edit&lowbar;headers"> variable set.

In addition, at the various address prompts, you can use the tab character
to expand a partial alias to the full alias.  If there are multiple matches,
mutt will bring up a menu with the matching aliases.  In order to be
presented with the full list of aliases, you must hit tab with out a partial
alias, such as at the beginning of the prompt or after a comma denoting
multiple addresses.

In the alias menu, you can select as many aliases as you want with the
<em/select-entry/ key (default: RET), and use the <em/exit/ key
(default: q) to return to the address prompt.

<sect1>Changing the default key bindings<label id="bind">
<p>
Usage: <tt/bind/ <em/map/ <em/key/ <em/function/

This command allows you to change the default key bindings (operation
invoked when pressing a key).

<em/map/ specifies in which menu the binding belongs.  The currently
defined maps are:

<itemize>
<item>generic
<item>alias
<item>attach
<item>browser
<item>editor
<item>index
<item>compose
<item>pager
<item>pgp
</itemize>

<em/key/ is the key (or key sequence) you wish to bind.  To specify a
control character, use the sequence <em/&bsol;Cx/, where <em/x/ is the
letter of the control character (for example, to specify control-A use
``&bsol;Ca'').  Note that the case of <em/x/ as well as <em/&bsol;C/ is
ignored, so that <em/&bsol;CA, &bsol;Ca, &bsol;cA/ and <em/&bsol;ca/ are all
equivalent.  An alternative form is to specify the key as a three digit
octal number prefixed with a ``&bsol;'' (for example <em/&bsol;177/ is
equivalent to <em/&bsol;c?/).

In addition, <em/key/ may consist of:

<tscreen><verb>
\t		tab
\r		carriage return
\n		newline
\e		escape
<up>		up arrow
<down>		down arrow
<left>		left arrow
<right>		right arrow
<pageup>	Page Up
<pagedown>	Page Down
<backspace>	Backspace
<delete>	Delete
<insert>	Insert
<enter>		Enter
<home>		Home
<end>		End
f1		function key 1
f10		function key 10
</verb></tscreen>

<em/key/ does not need to be enclosed in quotes unless it contains a
space (`` '').

<em/function/ specifies which action to take when <em/key/ is pressed.
For a complete list of functions, see the <ref id="functions"
name="reference">.  The special function <tt/noop/ unbinds the specify key
sequence.

<sect1>Setting variables based upon mailbox<label id="folder-hook">
<p>
Usage: <tt/folder-hook/ &lsqb;!&rsqb;<em/pattern/ <em/command/

It is often desirable to change settings based on which mailbox you are
reading.  The folder-hook command provides a method by which you can execute
any configuration command.  <em/pattern/ is a regular expression specifying
in which mailboxes to execute <em/command/ before loading.  If a mailbox
matches multiple folder-hook's, they are executed in the order given in the
muttrc.

<bf/Note:/ if you use the ``!'' shortcut for <ref id="spoolfile"
name="&dollar;spoolfile"> at the beginning of the pattern, you must place it
inside of double or single quotes in order to distinguish it from the
logical <em/not/ operator for the expression.

Note that the settings are <em/not/ restored when you leave the mailbox.
For example, a command action to perform is to change the sorting method
based upon the mailbox being read:

<tscreen><verb>
folder-hook mutt set sort=threads
</verb></tscreen>

However, the sorting method is not restored to its previous value when
reading a different mailbox.  To specify a <em/default/ command, use the
pattern ``.'':

<p>
<tscreen><verb>
folder-hook . set sort=date-sent
</verb></tscreen>

<sect1>Keyboard macros<label id="macro">
<p>
Usage: <tt/macro/ <em/menu/ <em/key/ <em/sequence/

Macros are useful when you would like a single key to perform a series of
actions.  When you press <em/key/ in menu <em/menu/, Mutt will behave as if
you had typed <em/sequence/.  So if you have a common sequence of commands
you type, you can create a macro to execute those commands with a single
key.

<em/key/ and <em/sequence/ are expanded by the same rules as the <ref
id="bind" name="key bindings">, with the addition that control
characters in <em/sequence/ can also be specified as <em/&circ;x/.  In
order to get a caret (``&circ;'') you need to use <em/&circ;&circ;/.

<bf/Note:/ Macro definitions (if any) listed in the help screen(s), are
silently truncated at the screen width, and are not wrapped.   

<sect1>Using color and mono video attributes<label id="color">
<p>
Usage: <tt/color/ <em/object/ <em/foreground/ <em/background/ &lsqb; <em/regexp/ &rsqb;<newline>
Usage: <tt/color/ index <em/foreground/ <em/background/ &lsqb; <em/pattern/ &rsqb;<newline>
Usage: <tt/uncolor/ index <em/pattern/ &lsqb; <em/pattern/ ...  &rsqb;<newline>

If your terminal supports color, you can spice up Mutt by creating your own
color scheme.  To define the color of an object (type of information), you
must specify both a foreground color <bf/and/ a background color (it is not
possible to only specify one or the other).

<em/object/ can be one of:

<itemize>
<item>attachment
<item>body (match <em/regexp/ in the body of messages)
<item>bold (hiliting bold patterns in the body of messages)
<item>error (error messages printed by Mutt)
<item>header (match <em/regexp/ in the message header)
<item>hdrdefault (default color of the message header in the pager)
<item>index (match <em/pattern/ in the message index)
<item>indicator (arrow or bar used to indicate the current item in a menu)
<item>markers (the ``+'' markers at the beginning of wrapped lines in the pager)
<item>message (informational messages)
<item>normal
<item>quoted (text matching <ref id="quote_regexp"
name="&dollar;quote&lowbar;regexp"> in the body of a message)
<item>quoted1, quoted2, ..., quoted<bf/N/ (higher levels of quoting)
<item>search (hiliting of words in the pager)
<item>signature
<item>status (mode lines used to display info about the mailbox or message)
<item>tilde (the ``&tilde;'' used to pad blank lines in the pager)
<item>tree (thread tree drawn in the message index and attachment menu)
<item>underline (hiliting underlined patterns in the body of messages)
</itemize>

<em/foreground/ and <em/background/ can be one of the following:

<itemize>
<item>white
<item>black
<item>green
<item>magenta
<item>blue
<item>cyan
<item>yellow
<item>red
<item>default
<item>color<em/x/
</itemize>

<em/foreground/ can optionally be prefixed with the keyword <tt/bright/ to make
the foreground color boldfaced (e.g., <tt/brightred/).

If your terminal supports it, the special keyword <em/default/ can be
used as a transparent color.  The value <em/brightdefault/ is also valid.
If Mutt is linked against the <em/S-Lang/ library, you also need to set
the <em/COLORFGBG/ environment variable to the default colors of your
terminal for this to work; for example (for Bourne-like shells):

<tscreen><verb>
set COLORFGBG="green;black"
export COLORFGBG
</verb></tscreen>

<bf/Note:/ The <em/S-Lang/ library requires you to use the <em/lightgray/
and <em/brown/ keywords instead of <em/white/ and <em/yellow/ when
setting this variable.

<bf/Note:/ The uncolor command can be applied to the index object only.  It
removes entries from the list. You <bf/must/ specify the same pattern
specified in the color command for it to be removed.  The pattern ``*'' is
a special token which means to clear the color index list of all entries.

Mutt also recognizes the keywords <em/color0/, <em/color1/, &hellip;,
<em/color/<bf/N-1/ (<bf/N/ being the number of colors supported
by your terminal).  This is useful when you remap the colors for your
display (for example by changing the color associated with <em/color2/
for your xterm), since color names may then lose their normal meaning.

If your terminal does not support color, it is still possible change the video
attributes through the use of the ``mono'' command:

Usage: <tt/mono/ <em/&lt;object&gt; &lt;attribute&gt;/ &lsqb; <em/regexp/ &rsqb;

where <em/attribute/ is one of the following:

<itemize>
<item>none
<item>bold
<item>underline
<item>reverse
<item>standout
</itemize>

<sect1>Ignoring (weeding) unwanted message headers<label id="ignore">
<p>
Usage: <tt/&lsqb;un&rsqb;ignore/ <em/pattern/ &lsqb; <em/pattern/ ... &rsqb;

Messages often have many header fields added by automatic processing systems,
or which may not seem useful to display on the screen.  This command allows
you to specify header fields which you don't normally want to see.

You do not need to specify the full header field name.  For example,
``ignore content-'' will ignore all header fields that begin with the pattern
``content-''.

To remove a previously added token from the list, use the ``unignore'' command.
Note that if you do ``ignore x-'' it is not possible to ``unignore x-mailer,''
for example.  The ``unignore'' command does <bf/not/ make Mutt display headers
with the given pattern.

``unignore *'' will remove all tokens from the ignore list.

For example:
<tscreen><verb>
# Sven's draconian header weeding
ignore *
unignore from date subject to cc
unignore organization organisation x-mailer: x-newsreader: x-mailing-list:
unignore posted-to:
</verb></tscreen>

<sect1>Mailing lists<label id="lists">
<p>
Usage: <tt/&lsqb;un&rsqb;lists/ <em/address/ &lsqb; <em/address/ ... &rsqb; 

Mutt has a few nice features for <ref id="using_lists" name="handling mailing
lists">.  In order to take advantage of them, you must specify which addresses
belong to mailing lists.

It is important to note that you should <bf/never/ specify the domain name (
the part after the ``@'') with the lists command.  You should only
specify the ``mailbox'' portion of the address (the part before the ``@'').
For example, if you've subscribed to the Mutt mailing list, you will receive
mail addressed to <em/mutt-users@cs.hmc.edu/.  So, to tell Mutt that this is a
mailing list, you would add ``lists mutt-users'' to your initialization file.

The ``unlists'' command is to remove a token from the list of mailing-lists.
Use ``unlists *'' to remove all tokens.

<sect1>Using Multiple spool mailboxes<label id="mbox-hook">
<p>
Usage: <tt/mbox-hook/ &lsqb;!&rsqb;<em/pattern/ <em/mailbox/

This command is used to move read messages from a specified mailbox to a
different mailbox automatically when you quit or change folders.
<em/pattern/ is a regular expression specifying the mailbox to treat as a
``spool'' mailbox and <em/mailbox/ specifies where mail should be saved when
read.

Unlike some of the other <em/hook/ commands, only the <em/first/ matching
pattern is used (it is not possible to save read mail in more than a single
mailbox).

<sect1>Defining mailboxes which receive mail<label id="mailboxes">
<p>
Usage: <tt/mailboxes/ &lsqb;!&rsqb;<em/filename/ &lsqb; <em/filename/ ... &rsqb;

This command specifies folders which can receive mail and
which will be checked for new messages.  By default, the
main menu status bar displays how many of these folders have
new messages.
<p>
When changing folders, pressing <em/space/ will cycle
through folders with new mail.
<p>
Pressing TAB in the directory browser will bring up a menu showing the files
specified by the <tt/mailboxes/ command, and indicate which contain new
messages.  Mutt will automatically enter this mode when invoked from the
command line with the <tt/-y/ option.
<p>
<bf/Note:/ new mail is detected by comparing the last modification time to
the last access time.  Utilities like <tt/biff/ or <tt/frm/ or any other
program which accesses the mailbox might cause Mutt to never detect new mail
for that mailbox if they do not properly reset the access time.
<p>

<bf/Note:/ the filenames in the <tt/mailboxes/ command are resolved when
the command is executed, so if these names contain <ref id="shortcuts"
name="shortcut characters"> (such as ``='' and ``!''), any variable
definition that affect these characters (like <ref id="folder"
name="&dollar;folder"> and <ref id="spoolfile" name="&dollar;spool">)
should be executed before the <tt/mailboxes/ command.

<sect1>User defined headers<label id="my_hdr">
<p>
Usage:<newline>
<tt/my_hdr/ <em/string/<newline>
<tt/unmy_hdr/ <em/field/ &lsqb; <em/field/ ... &rsqb;

The ``my&lowbar;hdr'' command allows you to create your own header
fields which will be added to every message you send.

For example, if you would like to add an ``Organization:'' header field to
all of your outgoing messages, you can put the command

<quote>
my_hdr Organization: A Really Big Company, Anytown, USA
</quote>

in your <tt/.muttrc/.

<bf/Note:/  space characters are <em/not/ allowed between the keyword and
the colon (``:'').  The standard for electronic mail (RFC822) says that
space is illegal there, so Mutt enforces the rule.

If you would like to add a header field to a single message, you should
either set the <ref id="edit_headers" name="edit&lowbar;headers"> variable,
or use the <em/edit-headers/ function (default: ``E'') in the send-menu so
that you can edit the header of your message along with the body.

To remove user defined header fields, use the ``unmy&lowbar;hdr''
command.  You may specify an asterisk (``*'') to remove all header
fields, or the fields to remove.  For example, to remove all ``To'' and
``Cc'' header fields, you could use:

<quote>
unmy_hdr to cc
</quote>

<sect1>Defining the order of headers when viewing messages<label id="hdr_order">
<p>
Usage: <tt/hdr&lowbar;order/ <em/header1/ <em/header2/ <em/header3/

With this command, you can specify an order in which mutt will attempt
to present headers to you when viewing messages.

<tscreen><verb>
hdr&lowbar;order From Date: From: To: Cc: Subject:
</verb></tscreen>

<sect1>Specify default save filename<label id="save-hook">
<p>
Usage: <tt/save-hook/ &lsqb;!&rsqb;<em/regexp/ <em/filename/

This command is used to override the default filename used when saving
messages.  <em/filename/ will be used as the default filename if the message is
<em/From:/ an address matching <em/regexp/ or if you are the author and the
message is addressed <em/to:/ something matching <em/regexp/.

See <ref id="pattern_hook" name="matching messages"> for information on the
exact format of <em/regexp/.

Examples:

<tscreen><verb>
save-hook me@(turing\\.)?cs\\.hmc\\.edu$ +elkins
save-hook aol\\.com$ +spam
</verb></tscreen>

Also see the <ref id="fcc-save-hook" name="fcc-save-hook"> command.

<sect1>Specify default Fcc: mailbox when composing<label id="fcc-hook">
<p>
Usage: <tt/fcc-hook/ &lsqb;!&rsqb;<em/regexp/ <em/mailbox/

This command is used to save outgoing mail in a mailbox other than
<ref id="record" name="&dollar;record">.  Mutt searches the initial list of
message recipients for the first matching <em/regexp/ and uses <em/mailbox/
as the default Fcc: mailbox.  If no match is found the message will be saved
to <ref id="record" name="&dollar;record"> mailbox.

See <ref id="pattern_hook" name="matching messages"> for information on the
exact format of <em/regexp/.

Example: <tt/fcc-hook aol.com&dollar; +spammers/

The above will save a copy of all messages going to the aol.com domain to
the `+spammers' mailbox by default.  Also see the <ref id="fcc-save-hook" 
name="fcc-save-hook"> command.

<sect1>Specify default save filename and default Fcc: mailbox at once<label
id="fcc-save-hook">
<p>
Usage: <tt/fcc-save-hook/ &lsqb;!&rsqb;<em/regexp/ <em/mailbox/

This command is a shortcut, equivalent to doing both a <ref id="fcc-hook" name="fcc-hook">
and a <ref id="save-hook" name="save-hook"> with its arguments.

<sect1>Change settings based upon message recipients<label id="send-hook">
<p>
Usage: <tt/send-hook/ &lsqb;!&rsqb;<em/regexp/ <em/command/

This command can be used to execute arbitrary configuration commands based
upon recipients of the message.  <em/regexp/ is a regular expression
matching the desired address.  <em/command/ is executed when <em/regexp/
matches recipients of the message.  When multiple matches occur, commands are
executed in the order they are specified in the muttrc.

See <ref id="pattern_hook" name="matching messages"> for information on the
exact format of <em/regexp/.

Example: <tt/send-hook mutt &dquot;set mime&lowbar;forward signature=''&dquot;/

Another typical use for this command is to change the values of the
<ref id="attribution" name="&dollar;attribution">, <ref id="signature"
name="&dollar;signature"> and <ref id="locale" name="&dollar;locale">
variables in order to change the language of the attributions and
signatures based upon the recipients.

<bf/Note:/ the send-hook's are only executed ONCE after getting the initial
list of recipients.  Adding a recipient after replying or editing the
message will NOT cause any send-hook to be executed.

<sect1>Adding key sequences to the keyboard buffer<label id="push">
<p>
Usage: <tt/push/ <em/string/

This command adds the named string to the keyboard buffer.  You may
use it to automatically run a sequence of commands at startup, or when
entering certain folders.

<sect1>Message Scoring<label id="score">
<p>
Usage: <tt/score/ <em/pattern/ <em/value/<newline>
Usage: <tt/unscore/ <em/pattern/ &lsqb; <em/pattern/ ... &rsqb;

The <tt/score/ commands adds <em/value/ to a message's score if <em/pattern/
matches it.  <em/pattern/ is a string in the format described in the <ref
id="searching" name="searching"> section.  <em/value/ is a positive or
negative integer.  A message's final score is the sum total of all matching
<tt/score/ entries.  However, you may optionally prefix <em/value/ with an
equal sign (=) to cause evaluation to stop at a particular entry if there is
a match.  Negative final scores are rounded up to 0.

The <tt/unscore/ command removes score entries from the list.  You <bf/must/
specify the same pattern specified in the <tt/score/ command for it to be
removed.  The pattern ``*'' is a special token which means to clear the list
of all score entries.

<sect1>Setting variables<label id="set">
<p>
Usage: <tt/set/ &lsqb;no|inv&rsqb;<em/variable/&lsqb;=<em/value/&rsqb; &lsqb; <em/variable/ ... &rsqb;<newline>
Usage: <tt/toggle/ <em/variable/ &lsqb;<em/variable/ ... &rsqb;<newline>
Usage: <tt/unset/ <em/variable/ &lsqb;<em/variable/ ... &rsqb;<newline>
Usage: <tt/reset/ <em/variable/ &lsqb;<em/variable/ ... &rsqb;

This command is used to set (and unset) <ref id="variables"
name="configuration variables">.  There are four basic types of variables:
boolean, number, string and quadoption.  <em/boolean/ variables can be
<em/set/ (true) or <em/unset/ (false).  <em/number/ variables can be
assigned a positive integer value.

<em/string/ variables consist of any number of printable characters.
<em/strings/ must be enclosed in quotes if they contain spaces or tabs.  You
may also use the ``C'' escape sequences <bf/&bsol;n/ and <bf/&bsol;t/ for
newline and tab, respectively.

<em/quadoption/ variables are used to control whether or not to be prompted
for certain actions, or to specify a default action.  A value of <em/yes/
will cause the action to be carried out automatically as if you had answered
yes to the question.  Similarly, a value of <em/no/ will cause the the
action to be carried out as if you had answered ``no.''  A value of
<em/ask-yes/ will cause a prompt with a default answer of ``yes'' and
<em/ask-no/ will provide a default answer of ``no.''

Prefixing a variable with ``no'' will unset it.  Example: <tt/set noaskbcc/.

For <em/boolean/ variables, you may optionally prefix the variable name with
<tt/inv/ to toggle the value (on or off).  This is useful when writing
macros.  Example: <tt/set invsmart&lowbar;wrap/.

The <tt/toggle/ command automatically prepends the <tt/inv/ prefix to all
specified variables.

The <tt/unset/ command automatically prepends the <tt/no/ prefix to all
specified variables.

Using the enter-command function in the <em/index/ menu, you can query the
value of a variable by prefixing the name of the variable with a question
mark:

<tscreen><verb>
set ?allow_8bit
</verb></tscreen>

The question mark is actually only required for boolean variables.

The <tt/reset/ command resets all given variables to the compile time
defaults (hopefully mentioned in this manual). If you use the command
<tt/set/ and prefix the variable with ``&amp;'' this has the same
behavior as the reset command.

With the <tt/reset/ command there exists the special variable ``all'',
which allows you to reset all variables to their system defaults.

<sect1>Reading initialization commands from another file<label id="source">
<p>
Usage: <tt/source/ <em/filename/

This command allows the inclusion of initialization commands
from other files.  For example, I place all of my aliases in
<tt>&tilde;/.mail&lowbar;aliases</tt> so that I can make my
<tt>&tilde;/.muttrc</tt> readable and keep my aliases private.

If the filename begins with a tilde (``&tilde;''), it will be expanded to the
path of your home directory.

If the filename ends with a vertical bar (|), then <em/filename/ is
considered to be an executable program from which to read input (eg.
<tt/source ~/bin/myscript|/.

<sect>Advanced Usage

<sect1>Searching and Regular Expressions<label id="regex"> 
<p>
All text patterns for searching and matching in Mutt must be specified
as regular expressions (regexp) in the ``POSIX extended'' syntax (which
is more or less the syntax used by egrep and GNU awk).  For your
convenience, we have included below a brief description of this syntax.

The search is case sensitive if the pattern contains at least one upper
case letter, and case insensitive otherwise. Note that ``&bsol;''
must be quoted if used for a regular expression in an initialization
command: ``&bsol;&bsol;''.  For more information, see the section on
<ref id="searching" name="searching"> below.

<sect2>Regular Expressions<label id="regexps">
<p>
A regular expression is a pattern that describes a set of strings.
Regular expressions are constructed analogously to arithmetic
expressions, by using various operators to combine smaller expressions.

The fundamental building blocks are the regular expressions that match
a single character.  Most characters, including all letters and digits,
are regular expressions that match themselves.  Any metacharacter with
special meaning may be quoted by preceding it with a backslash.

The period ``.'' matches any single character.  The caret ``&circ;'' and
the dollar sign ``&dollar'' are metacharacters that respectively match
the empty string at the beginning and end of a line.

A list of characters enclosed by ``&lsqb;'' and ``&rsqb'' matches any
single character in that list; if the first character of the list
is a caret ``&circ;'' then it matches any character <bf/not/ in the
list.  For example, the regular expression <bf/&lsqb;0123456789&rsqb/
matches any single digit.  A range of ASCII characters may be specified
by giving the first and last characters, separated by a hyphen
``&hyphen;''.  Most metacharacters lose their special meaning inside
lists.  To include a literal ``&rsqb'' place it first in the list.
Similarly, to include a literal ``&circ;'' place it anywhere but first.
Finally, to include a literal hyphen ``&hyphen;'' place it last.

Certain named classes of characters are predefined.  Character classes
consist of ``&lsqb;:'', a keyword denoting the class, and ``:&rsqb;''.
The following classes are defined by the POSIX standard:

<descrip>
<tag/&lsqb;:alnum:&rsqb;/
Alphanumeric characters.
<tag/&lsqb;:alpha:&rsqb;/
Alphabetic characters.
<tag/&lsqb;:blank:&rsqb;/
Space or tab characters.
<tag/&lsqb;:cntrl:&rsqb;/
Control characters.
<tag/&lsqb;:digit:&rsqb;/
Numeric characters.
<tag/&lsqb;:graph:&rsqb;/
Characters that are both printable and visible.  (A space is printable,
but not visible, while an ``a'' is both.)
<tag/&lsqb;:lower:&rsqb;/
Lower-case alphabetic characters.
<tag/&lsqb;:print:&rsqb;/
Printable characters (characters that are not control characters.)
<tag/&lsqb;:punct:&rsqb;/
Punctuation characters (characters that are not letter, digits, control
characters, or space characters).
<tag/&lsqb;:space:&rsqb;/
Space characters (such as space, tab and formfeed, to name a few).
<tag/&lsqb;:upper:&rsqb;/
Upper-case alphabetic characters.
<tag/&lsqb;:xdigit:&rsqb;/
Characters that are hexadecimal digits.
</descrip>

A character class is only valid in a regular expression inside the
brackets of a character list.  Note that the brackets in these
class names are part of the symbolic names, and must be included
in addition to the brackets delimiting the bracket list.  For
example, <bf/&lsqb;&lsqb;:digit:&rsqb;&rsqb;/ is equivalent to
<bf/&lsqb;0-9&rsqb;/.

Two additional special sequences can appear in character lists.  These
apply to non-ASCII character sets, which can have single symbols (called
collating elements) that are represented with more than one character,
as well as several characters that are equivalent for collating or
sorting purposes:

<descrip>
<tag/Collating Symbols/
A collating symbols is a multi-character collating element enclosed in
``&lsqb;.'' and ``.&rsqb;''.  For example, if ``ch'' is a collating
element, then <bf/&lsqb;&lsqb;.ch.&rsqb;&rsqb;/ is a regexp that matches
this collating element, while <bf/&lsqb;ch&rsqb;/ is a regexp that
matches either ``c'' or ``h''.
<tag/Equivalence Classes/
An equivalence class is a locale-specific name for a list of
characters that are equivalent. The name is enclosed in ``&lsqb;=''
and ``=&rsqb;''.  For example, the name ``e'' might be used to
represent all of ``&egrave;'' ``&eacute;'' and ``e''.  In this case,
<bf/&lsqb;&lsqb;=e=&rsqb;&rsqb;/ is a regexp that matches any of
``&egrave;'', ``&eacute;'' and ``e''.
</descrip>

A regular expression matching a single character may be followed by one
of several repetition operators:

<descrip>
<tag/?/
The preceding item is optional and matched at most once.
<tag/&ast;/
The preceding item will be matched zero or more times.
<tag/+/
The preceding item will be matched one or more times.
<tag/&lcub;n&rcub;/
The preceding item is matched exactly <em/n/ times.
<tag/&lcub;n,&rcub;/
The preceding item is matched <em/n/ or more times.
<tag/&lcub;,m&rcub;/
The preceding item is matched at most <em/m/ times.
<tag/&lcub;n,m&rcub;/
The preceding item is matched at least <em/n/ times, but no more than
<em/m/ times.
</descrip>

Two regular expressions may be concatenated; the resulting regular
expression matches any string formed by concatenating two substrings
that respectively match the concatenated subexpressions.

Two regular expressions may be joined by the infix operator ``|'';
the resulting regular expression matches any string matching either
subexpression.

Repetition takes precedence over concatenation, which in turn takes
precedence over alternation.  A whole subexpression may be enclosed in
parentheses to override these precedence rules.

<bf/Note:/ If you compile Mutt with the GNU <em/rx/ package, the
following operators may also be used in regular expressions:

<descrip>
<tag/&bsol;&bsol;y/
Matches the empty string at either the beginning or the end of a word.
<tag/&bsol;&bsol;B/
Matches the empty string within a word.
<tag/&bsol;&bsol;&lt;/
Matches the empty string at the beginning of a word.
<tag/&bsol;&bsol;&gt;/
Matches the empty string at the end of a word.
<tag/&bsol;&bsol;w/
Matches any word-constituent character (letter, digit, or underscore).
<tag/&bsol;&bsol;W/
Matches any character that is not word-constituent.
<tag/&bsol;&bsol;`/
Matches the empty string at the beginning of a buffer (string).
<tag/&bsol;&bsol;'/
Matches the empty string at the end of a buffer.
</descrip>

Please note however that these operators are not defined by POSIX, so
they may or may not be available in stock libraries on various systems.

<sect2>Searching<label id="searching">
<p>
Many of Mutt's commands allow you to specify a pattern to match
(limit, tag-pattern, delete-pattern, etc.).  There are several ways to select
messages:

<tscreen><verb>
~A		all messages
~b PATTERN	messages which contain PATTERN in the message body
~B PATTERN	messages which contain PATTERN in the whole message
~c USER		messages carbon-copied to USER
~C PATTERN	message is either to: or cc: PATTERN
~D		deleted messages
~d [MIN]-[MAX]	messages with ``date-sent'' in a Date range
~E		expired messages
~e PATTERN	message which contains PATTERN in the ``Sender'' field
~F		flagged messages
~f USER		messages originating from USER
~h PATTERN	messages which contain PATTERN in the message header
~i ID		message which match ID in the ``Message-ID'' field
~L PATTERN	message is either originated or received by PATTERN
~l		message is addressed to a known mailing list
~m [MIN]-[MAX]	message in the range MIN to MAX
~n [MIN]-[MAX]  messages with a score in the range MIN to MAX
~N		new messages
~O		old messages
~p		message is addressed to you (consults $alternates)
~P		message is from you (consults $alternates)
~Q		messages which have been replied to
~R		read messages
~r [MIN]-[MAX]	messages with ``date-received'' in a Date range
~S		superseded messages
~s SUBJECT	messages having SUBJECT in the ``Subject'' field.
~T		tagged messages
~t USER		messages addressed to USER
~U		unread messages
~x PATTERN	messages which contain PATTERN in the `References' field
~z [MIN]-[MAX]	messages with a size in the range MIN to MAX
</verb></tscreen>

Where PATTERN, USER, ID, and SUBJECT are 
<ref id="regex" name="regular expressions">.

<sect2>Complex Searches
<p>

Logical AND is performed by specifying more than one criterion.  For
example:

<tscreen><verb>
~t mutt ~f elkins
</verb></tscreen>

would select messages which contain the word ``mutt'' in the list of
recipients <bf/and/ that have the word ``elkins'' in the ``From'' header
field.

Mutt also recognizes the following operators to create more complex search
patterns:

<itemize>
<item>! -- logical NOT operator
<item>| -- logical OR operator
<item>() -- logical grouping operator
</itemize>

Here is an example illustrating a complex search pattern.  This pattern will
select all messages which do not contain ``mutt'' in the ``To'' or ``Cc''
field and which are from ``elkins''.

<tscreen><verb>
!(~t mutt|~c mutt) ~f elkins
</verb></tscreen>

<sect2>Searching by Date
<p>
Mutt supports two types of dates, <em/absolute/ and <em/relative/.

<bf/Absolute/.  Dates <bf/must/ be in DD/MM/YY format (month and year are
optional, defaulting to the current month and year).  An example of a valid
range of dates is:

<tscreen><verb>
Limit to messages matching: ~d 20/1/95-31/10
</verb></tscreen>

If you omit the minimum (first) date, and just specify ``-DD/MM/YY'', all
messages <em/before/ the given date will be selected.  If you omit the maximum
(second) date, and specify ``DD/MM/YY-'', all messages <em/after/ the given
date will be selected.  If you specify a single date with no dash (``-''),
only messages sent on the given date will be selected. 

<bf/Relative/.  This type of date is relative to the current date, and may
be specified as:
<itemize>
<item>&gt;<em/offset/ (messages older than <em/offset/ units)
<item>&lt;<em/offset/ (messages newer than <em/offset/ units)
<item>=<em/offset/ (messages exactly <em/offset/ units old)
</itemize>

<em/offset/ is specified as a positive number with one of the following
units:
<verb>
y	years
m	months
w	weeks
d	days
</verb>

Example: to select messages less than 1 month old, you would use
<tscreen><verb>
Limit to messages matching: ~d <1m
</verb></tscreen>

<bf/Note:/ all dates used when searching are relative to the
<bf/local/ time zone, so unless you change the setting of your <ref
id="index_format" name="&dollar;index&lowbar;format"> to include a
<tt/&percnt;&lsqb;...&rsqb;/ format, these are <bf/not/ the dates shown
in the main index.

<sect1>Using Tags
<p>

Sometimes it is desirable to perform an operation on a group of messages all
at once rather than one at a time.  An example might be to save messages to
a mailing list to a separate folder, or to delete all messages with a given
subject.  To tag all messages matching a pattern, use the tag-pattern
function, which is bound to ``control-T'' by default.  Or you can select
individual messages by hand using the ``tag-message'' function, which is
bound to ``t'' by default.  See <ref id="searching" name="searching"> for
Mutt's searching syntax.

Once you have tagged the desired messages, you can use the
``tag-prefix'' operator, which is the ``;'' (semicolon) key by default.
When the ``tag-prefix'' operator is used, the <bf/next/ operation will
be applied to all tagged messages if that operation can be used in that
manner.  If the <ref id="auto_tag" name="&dollar;auto&lowbar;tag">
variable is set, the next operation applies to the tagged messages
automatically, without requiring the ``tag-prefix''.

<sect1>Using Hooks<label id="hooks">
<p>
A <em/hook/ is a concept borrowed from the EMACS editor which allows you to
execute arbitrary commands before performing some operation.  For example,
you may wish to tailor your configuration based upon which mailbox you are
reading, or to whom you are sending mail.  In the Mutt world, a <em/hook/
consists of a <ref id="regex" name="regular expression"> along with a
configuration option/command.  See
<itemize>
<item><ref id="folder-hook" name="folder-hook">
<item><ref id="send-hook" name="send-hook">
<item><ref id="save-hook" name="save-hook">
<item><ref id="mbox-hook" name="mbox-hook">
<item><ref id="fcc-hook" name="fcc-hook">
<item><ref id="fcc-save-hook" name="fcc-save-hook">
</itemize>
for specific details on each type of <em/hook/ available.

<sect2>Message Matching in Hooks<label id="pattern_hook">
<p>
Hooks that act upon messages (<tt/send-hook, save-hook, fcc-hook/) are
evaluated in a slightly different manner.  For the other types of hooks, a
<ref id="regex" name="regular expression">.  But in dealing with messages a
finer grain of control is needed for matching since for different purposes
you want to match different criteria.

Mutt allows the use of the <ref id="searching" name="search pattern">
language for matching messages in hook commands.  This works in exactly the
same way as it would when <em/limiting/ or <em/searching/ the mailbox,
except that you are restricted to those operators which match information
from the envelope of the message (i.e.  from, to, cc, date, subject, etc.).

For example, if you wanted to set your return address based upon sending
mail to a specific address, you could do something like:
<tscreen><verb>
send-hook '~t ^me@cs\.hmc\.edu$' 'my_hdr From: Mutt User <user@host>'
</verb></tscreen>
which would execute the given command when sending mail to
<em/me@cs.hmc.edu/.

However, it is not required that you write the pattern to match using the
full searching language.  You can still specify a simple <em/regular
expression/ like the other hooks, in which case Mutt will translate your
pattern into the full language, using the translation specified by the 
<ref id="default_hook" name="&dollar;dfault&lowbar;hook"> variable.  The pattern
is translated at the time the hook is declared, so the value of 
<ref id="default_hook" name="&dollar;dfault&lowbar;hook"> that is in effect
at that time will be used.

<sect1>External Address Queries<label id="query">
<p>
Mutt supports connecting to external directory databases such as LDAP,
ph/qi, bbdb, or NIS through a wrapper script which connects to mutt
using a simple interface.  Using the <ref id="query_command"
name="&dollar;query&lowbar;command"> variable, you specify the wrapper
command to use.  For example:

<tscreen><verb>
set query_command = "mutt_ldap_query.pl '%s'"
</verb></tscreen>

The wrapper script should accept the query on the command-line.  It
should return a one line message, than each matching response on a
single line, each line containing a tab separated address then name then
some other optional information.  On error, or if there are no matching
addresses, return a non-zero exit code and a one line error message.

An example multiple response output:
<tscreen><verb>
Searching database ... 20 entries ... 3 matching:
me@cs.hmc.edu	Michael Elkins	mutt dude
blong@fiction.net	Brandon Long	mutt and more
roessler@guug.de	Thomas Roessler	mutt pgp
</verb></tscreen>

There are two mechanisms for accessing the query function of mutt.  One
is to do a query from the index menu using the query function (default: Q).
This will prompt for a query, then bring up the query menu which will
list the matching responses.  From the query menu, you can select
addresses to create aliases, or to mail.  You can tag multiple messages
to mail, start a new query, or have a new query appended to the current
responses.

The other mechanism for accessing the query function is for address
completion, similar to the alias completion.  In any prompt for address
entry, you can use the complete-query function (default: ^T) to run a
query based on the current address you have typed.  Like aliases, mutt
will look for what you have typed back to the last space or comma.  If
there is a single response for that query, mutt will expand the address
in place.  If there are multiple responses, mutt will activate the query
menu.  At the query menu, you can select one or more addresses to be
added to the prompt.

<sect1>Mailbox Formats
<p>
Mutt supports reading and writing of four different mailbox formats:
mbox, MMDF, MH and Maildir.  The mailbox type is autodetected, so there
is no need to use a flag for different mailbox types.  When creating new
mailboxes, Mutt uses the default specified with the <ref id="mbox_type"
name="&dollar;mbox&lowbar;type"> variable.

<bf/mbox/.  This is the most widely used mailbox format for UNIX.  All
messages are stored in a single file.  Each message has a line of the form:

<tscreen><verb>
From me@cs.hmc.edu Fri, 11 Apr 1997 11:44:56 PST
</verb></tscreen>

to denote the start of a new message (this is often referred to as the
``From&lowbar;'' line).

<bf/MMDF/.  This is a variant of the <em/mbox/ format.  Each message is
surrounded by lines containing ``^A^A^A^A'' (four control-A's).

<bf/MH/. A radical departure from <em/mbox/ and <em/MMDF/, a mailbox
consists of a directory and each message is stored in a separate file.
The filename indicates the message number (however, this is may not
correspond to the message number Mutt displays). Deleted messages are
renamed with a comma (,) prepended to the filename. <bf/Note:/ Mutt
detects this type of mailbox by looking for either <tt/.mh&lowbar;sequences/
or <tt/.xmhcache/ (needed to distinguish normal directories from MH
mailboxes). Mutt does not update these files, yet.

<bf/Maildir/.  The newest of the mailbox formats, used by the Qmail MTA (a
replacement for sendmail).  Similar to <em/MH/, except that it adds three
subdirectories of the mailbox: <em/tmp/, <em/new/ and <em/cur/.  Filenames
for the messages are chosen in such a way they are unique, even when two
programs are writing the mailbox over NFS, which means that no file locking
is needed.

<sect1>Mailbox Shortcuts<label id="shortcuts">
<p>
There are a number of built in shortcuts which refer to specific mailboxes.
These shortcuts can be used anywhere you are prompted for a file or mailbox
path.

<itemize>
<item>! -- refers to your <ref id="spoolfile" name="&dollar;spool"> (incoming) mailbox
<item>&gt; -- refers to your <ref id="mbox" name="&dollar;mbox"> file
<item>&lt; -- refers to your <ref id="record" name="&dollar;record"> file
<item>- -- refers to the file you've last visited
<item>&tilde; -- refers to your home directory
<item>= or + -- refers to your <ref id="folder" name="&dollar;folder"> directory
<item>@<em/alias/ -- refers to the <ref id="save-hook" 
name="default save folder"> as determined by the address of the alias
</itemize>

<sect1>Handling Mailing Lists<label id="using_lists">
<p>

Mutt has a few configuration options that make dealing with large amounts of
mail easier.  The first thing you must do is to let Mutt know what addresses
you consider to be mailing lists (technically this does not have to be a
mailing list, but that is what it is most often used for).  This is
accomplished through the use of the <ref id="lists" name="lists"> command in
your muttrc.

Now that Mutt knows what your mailing lists are, it can do several
things, the first of which is the ability to show the list name in
the <em/index/ menu display.  This is useful to distinguish between
personal and list mail in the same mailbox.  In the <ref id="index_format"
name="&dollar;index&lowbar;format"> variable, the escape ``&percnt;L''
will return the string ``To &lt;list&gt;'' when ``list'' appears in the
``To'' field, and ``Cc &lt;list&gt;'' when it appears in the ``Cc''
field (otherwise it returns the name of the author).

Often times the ``To'' and ``Cc'' fields in mailing list messages tend to
get quite large. Most people do not bother to remove the author of the
message they are reply to from the list, resulting in two or more copies
being sent to that person.  The ``list-reply'' function, which by default is
bound to ``L'' in the <em/index/ menu and <em/pager/, helps reduce the clutter
by only replying to the mailing list addresses instead of all recipients.

The other method some mailing list admins use is to generate a
``Reply-To'' field which points back to the mailing list address rather
than the author of the message.  This can create problems when trying
to reply directly to the author in private, since most mail clients
will automatically reply to the address given in the ``Reply-To''
field.  Mutt uses the <ref id="reply_to" name="&dollar;reply&lowbar;to">
variable to help decide which address to use.  If set, you will be
prompted as to whether or not you would like to use the address given in
the ``Reply-To'' field, or reply directly to the address given in the
``From'' field.  When unset, the ``Reply-To'' field will be used when
present.

Lastly, Mutt has the ability to <ref id="sort" name="sort"> the mailbox into
<ref id="threads" name="threads">.  A thread is a group of messages which all relate to the same
subject.  This is usually organized into a tree-like structure where a
message and all of its replies are represented graphically.  If you've ever
used a threaded news client, this is the same concept.  It makes dealing
with large volume mailing lists easier because you can easily delete
uninteresting threads and quickly find topics of value.

<sect1>Delivery Status Notification (DSN) Support
<p>
RFC1894 defines a set of MIME content types for relaying information
about the status of electronic mail messages.  These can be thought of as
``return receipts.'' Berkeley sendmail 8.8.x currently has some command
line options in which the mail client can make requests as to what type
of status messages should be returned.

To support this, there are two variables. <ref id="dsn_notify"
name="&dollar;dsn&lowbar;notify"> is used to request receipts for
different results (such as failed message, message delivered, etc.).
<ref id="dsn_return" name="&dollar;dsn&lowbar;return"> requests how much
of your message should be returned with the receipt (headers or full
message).  Refer to the man page on sendmail for more details on DSN.

<sect1>POP3 Support (OPTIONAL)
<p>

If Mutt was compiled with POP3 support (by running the <em/configure/
script with the <em/--enable-pop/ flag), it has the ability to fetch
your mail from a remote server for local browsing.  When you invoke the
<em/fetch-mail/ function (default: G), Mutt attempts to connect to <ref
id="pop_host" name="pop&lowbar;host"> and authenticate by logging in
as <ref id="pop_user" name="pop&lowbar;user">.  After the connection
is established, you will be prompted for your password on the remote
system.

Once you have been authenticated, Mutt will fetch all your new mail and
place it in the local <ref id="spoolfile" name="spoolfile">.  After this 
point, Mutt runs exactly as if the mail had always been local.

<bf/Note:/ The POP3 support is there only for convenience,
and it's rather limited.  If you need more functionality you
should consider using a specialized program, such as <htmlurl
url="http://www.ccil.org/~esr/fetchmail" name="fetchmail">

<sect1>IMAP Support (OPTIONAL)
<p>

If Mutt was compiled with IMAP support (by running the <em/configure/
script with the <em/--enable-imap/ flag), it has the ability to work
with folders located on a remote imap server.

You can access the remote inbox by selecting the folder
<tt/{imapserver}inbox/, where <tt/imapserver/ is the name of the IMAP
server and <tt/inbox/ is the special name for your spool mailbox on
the IMAP server. If you want to access another mail folder at the IMAP
server, you should use <tt>{imapserver}path/to/folder</tt> where
<tt>path/to/folder</tt> is the path of the folder you want to access
relative to your home directory.

<bf/Note:/ The IMAP support is in a very early state and quite
unstable at the moment. If you need a more stable way to access your
IMAP folder, consider using a specialized program, such as <htmlurl
url="http://www.ccil.org/~esr/fetchmail" name="fetchmail">.

<sect>Mutt's MIME Support
<p>
Quite a bit of effort has been made to make Mutt the premier text-mode
MIME MUA.  Every effort has been made to provide the functionality that
the discerning MIME user requires, and the conformance to the standards
wherever possible.  When configuring Mutt for MIME, there are two extra
types of configuration files which Mutt uses.  One is the
<tt/mime.types/ file, which contains the mapping of file extensions to 
IANA MIME types.  The other is the <tt/mailcap/ file, which specifies
the external commands to use for handling specific MIME types.

<sect1>Using MIME in Mutt
<p>
There are three areas/menus in Mutt which deal with MIME, they are the
pager (while viewing a message), the attachment menu and the compose
menu.

<sect2>Viewing MIME messages in the pager
<p>
When you select a message from the index and view it in the pager, Mutt
decodes the message to a text representation.  Mutt internally supports
a number of MIME types, including <tt>text/plain, text/enriched,
message/rfc822, and message/news</tt>.  In addition, the export
controlled version of Mutt recognizes a variety of PGP MIME types,
including PGP/MIME and application/pgp.

Mutt will denote attachments with a couple lines describing them.
These lines are of the form:
<tscreen><verb>
[-- Attachment #1: Description --]
[-- Type: text/plain, Encoding: 7bit, Size: 10000 --]
</verb></tscreen>
Where the <tt/Description/ is the description or filename given for the
attachment, and the <tt/Encoding/ is one of
<tt>7bit/8bit/quoted-printable/base64/binary</tt>.

If Mutt cannot deal with a MIME type, it will display a message like:
<tscreen><verb>
[-- image/gif is unsupported (use 'v' to view this part) --]
</verb></tscreen>

<sect2>The Attachment Menu<label id="attach_menu">
<p>
The default binding for <tt/view-attachments/ is `v', which displays the
attachment menu for a message.  The attachment menu displays a list of
the attachments in a message.  From the attachment menu, you can save,
print, pipe, delete, and view attachments.  You can apply these
operations to a group of attachments at once, by tagging the attachments
and by using the ``tag-prefix'' operator.  You can also reply to the
current message from this menu, and only the current attachment (or the
attachments tagged) will be quoted in your reply.  You can view
attachments as text, or view them using the mailcap viewer definition.
See the help on the attachment menu for more information.

<sect2>The Compose Menu
<p>
The compose menu is the menu you see before you send a message.  It
allows you to edit the recipient list, the subject, and other aspects
of your message.  It also contains a list of the attachments of your
message, including the main body.  From this menu, you can print, copy,
filter, pipe, edit, compose, review, and rename an attachment or a
list of tagged attachments.  You can also modifying the attachment
information, notably the type, encoding and description.

Attachments appear as follows:
<verb>
-   1 [text/plain, 7bit, 1K]             /tmp/mutt-euler-8082-0 <no description>
    2 [applica/x-gunzip, base64, 422K]   ~/src/mutt-0.85.tar.gz <no description>
</verb>

The '-' denotes that Mutt will delete the file after sending the
message.  It can be toggled with the <tt/toggle-unlink/ command
(default: u).  The next field is the MIME content-type, and can be
changed with the <tt/edit-type/ command (default: ^T).  The next field
is the encoding for the attachment, which allows a binary message to
be encoded for transmission on 7bit links.  It can be changed with the
<tt/edit-encoding/ command (default: ^E).  The next field is the size
of the attachment, rounded to kilobytes or megabytes.  The next field
is the filename, which can be changed with the <tt/rename-file/ command
(default: R).  The final field is the description of the attachment, and
can be changed with the <tt/edit-description/ command (default: d).

<sect1>MIME Type configuration with <tt/mime.types/
<p>
When you add an attachment to your mail message, Mutt searches your
personal mime.types file at <tt>&dollar;{HOME}/.mime.types</tt>, and then
the system mime.types file at <tt>SHAREDIR/mime.types</tt>.
<tt/SHAREDIR/ is defined at compilation time, and can be determined
by typing <tt/mutt -v/ from the command line.

The mime.types file consist of lines containing a MIME type and a space
separated list of extensions.  For example:
<tscreen><verb>
application/postscript          ps eps
application/pgp                 pgp
audio/x-aiff                    aif aifc aiff
</verb></tscreen>
A sample <tt/mime.types/ file comes with the Mutt distribution, and
should contain most of the MIME types you are likely to use.  

If Mutt can not determine the mime type by the extension of the file you
attach, it will look at the file.  If the file is free of binary
information, Mutt will assume that the file is plain text, and mark it
as <tt>text/plain</tt>.  If the file contains binary information, then Mutt will
mark it as <tt>application/octect-stream</tt>.  You can change the MIME
type that Mutt assigns to an attachment by using the <tt/edit-type/
command from the compose menu (default: ^T).  When typing in the MIME
type, Mutt requires that major type be one of the 5 types: application,
text, image, video, or audio.  If you attempt to use a different major
type, Mutt will abort the change.

<sect1>MIME Viewer configuration with <tt/mailcap/
<p>
Mutt supports RFC 1524 MIME Configuration, in particular the Unix
specific format specified in Appendix A of RFC 1524.  This file format
is commonly referred to as the mailcap format.  Many MIME compliant
programs utilize the mailcap format, allowing you to specify handling
for all MIME types in one place for all programs.  Programs known to
use this format include Netscape, XMosaic, lynx and metamail.

In order to handle various MIME types that Mutt can not handle
internally, Mutt parses a series of external configuration files to
find an external handler.  The default search string for these files
is a colon delimited list set to
<tscreen><verb>
${HOME}/.mailcap:SHAREDIR/mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap
</verb></tscreen>
where <tt/&dollar;HOME/ is your home directory and <tt/SHAREDIR/ is the
shared directory defined at compile time (visible from <tt/mutt -v/).

In particular, the metamail distribution will install a mailcap file,
usually as <tt>/usr/local/etc/mailcap</tt>, which contains some baseline
entries.

<sect2>The Basics of the mailcap file
<p>
A mailcap file consists of a series of lines which are comments, blank,
or definitions.

A comment line consists of a &num; character followed by anything you want.

A blank line is blank.

A definition line consists of a content type, a view command, and any
number of optional fields.  Each field of a definition line is divided
by a semicolon ';' character.

The content type is specified in the MIME standard type/subtype method.
For example,
<tt>text/plain, text/html, image/gif, </tt>
etc.  In addition, the mailcap format includes two formats for
wildcards, one using the special '*' subtype, the other is the implicit
wild, where you only include the major type.  For example, <tt>image/*</tt>, or
<tt>video,</tt> will match all image types and video types,
respectively.

The view command is a Unix command for viewing the type specified. There
are two different types of commands supported. The default is to send
the body of the MIME message to the command on stdin. You can change
this behaviour by using &percnt;s as a parameter to your view command.
This will cause Mutt to save the body of the MIME message to a temporary
file, and then call the view command with the &percnt;s replaced by
the name of the temporary file. In both cases, Mutt will turn over the
terminal to the view program until the program quits, at which time Mutt
will remove the temporary file if it exists.

So, in the simplest form, you can send a text/plain message to the
external pager more on stdin:
<tscreen><verb>
text/plain; more
</verb></tscreen>
Or, you could send the message as a file:
<tscreen><verb>
text/plain; more %s
</verb></tscreen>
Perhaps you would like to use lynx to interactively view a text/html 
message:
<tscreen><verb>
text/html; lynx "%s"
</verb></tscreen>
In this case, lynx does not support viewing a file from stdin, so you
must use the &percnt;s syntax.
<bf/Note:/ <em>Some older versions of lynx contain a bug where they
will check the mailcap file for a viewer for text/html.  They will find
the line which calls lynx, and run it.  This causes lynx to continuously
spawn itself to view the object.</em>

On the other hand, maybe you don't want to use lynx interactively, you
just want to have it convert the text/html to text/plain, then you can
use:
<tscreen><verb>
text/html; lynx -dump "%s" | more
</verb></tscreen>

Perhaps you wish to use lynx to view text/html files, and a pager on
all other text formats, then you would use the following:
<tscreen><verb>
text/html; lynx "%s"
text/*; more
</verb></tscreen>
This is the simplest form of a mailcap file.

<sect2>Advanced mailcap Usage
<p>

<sect3>Optional Fields
<p>
In addition to the required content-type and view command fields, you
can add semi-colon ';' separated fields to set flags and other options.
Mutt recognizes the following optional fields:
<descrip>
<tag/copiousoutput/
This flag tells Mutt that the command passes possibly large amounts of
text on stdout.  This causes Mutt to invoke a pager (either the internal
pager or the external pager defined by the pager variable) on the output
of the view command.  Without this flag, Mutt assumes that the command
is interactive.  One could use this to replace the pipe to <tt>more</tt>
in the <tt>lynx -dump</tt> example in the Basic section:
<tscreen><verb>
text/html; lynx -dump %s ; copiousoutput
</verb></tscreen>
This will cause lynx to format the text/html output as text/plain
and Mutt will use your standard pager to display the results.
<tag/needsterminal/
Mutt uses this flag when viewing attachments with <ref id="auto_view"
name="autoview">, in order to decide whether it should honor the setting
of the <ref id="wait_key" name="&dollar;wait&lowbar;key"> variable or
not.  When an attachment is viewed using an interactive program, and the
corresponding mailcap entry has a <em/needsterminal/ flag, Mutt will use
<ref id="wait_key" name="&dollar;wait&lowbar;key"> and the exit status
of the program to decide if it will ask you to press a key after the
external program has exited.  In all other situations it will not prompt
you for a key.
<tag>compose=&lt;command&gt;</tag>
This flag specifies the command to use to create a new attachment of a
specific MIME type.  Mutt supports this from the compose menu.
<tag>composetyped=&lt;command&gt;</tag>
This flag specifies the command to use to create a new attachment of a
specific MIME type.  This command differs from the compose command in
that mutt will expect standard MIME headers on the data.  This can be
used to specify parameters, filename, description, etc. for a new
attachment.   Mutt supports this from the compose menu.
<tag>print=&lt;command&gt;</tag>
This flag specifies the command to use to print a specific MIME type.
Mutt supports this from the attachment and compose menus.
<tag>edit=&lt;command&gt;</tag>
This flag specifies the command to use to edit a specific MIME type.  
Mutt supports this from the compose menu, and also uses it to compose
new attachments.  Mutt will default to the defined editor for text
attachments.
<tag>nametemplate=&lt;template&gt;</tag>
This field specifies the format for the file denoted by &percnt;s in the
command fields.  Certain programs will require a certain file extension,
for instance, to correctly view a file.  For instance, lynx will only
interpret a file as <tt>text/html</tt> if the file ends in <tt/.html/.
So, you would specify lynx as a <tt>text/html</tt> viewer with a line in
the mailcap file like:
<tscreen><verb>
text/html; lynx %s; nametemplate=%s.html
</verb></tscreen>
<tag>test=&lt;command&gt;</tag>
This field specifies a command to run to test whether this mailcap
entry should be used.  The command is defined with the command expansion
rules defined in the next section.  If the command returns 0, then the
test passed, and Mutt uses this entry.  If the command returns non-zero,
then the test failed, and Mutt continues searching for the right entry.
<bf/Note:/ <em>the content-type must match before Mutt performs the test.</em>
For example:
<tscreen><verb>
text/html; netscape -remote 'openURL(%s)' ; test=RunningX
text/html; lynx %s
</verb></tscreen>
In this example, Mutt will run the program RunningX which will return 0
if the X Window manager is running, and non-zero if it isn't.  If
RunningX returns 0, then Mutt will call netscape to display the
text/html object.  If RunningX doesn't return 0, then Mutt will go on
to the next entry and use lynx to display the text/html object.
</descrip>

<sect3>Search Order
<p>
When searching for an entry in the mailcap file, Mutt will search for
the most useful entry for its purpose.  For instance, if you are
attempting to print an <tt>image/gif</tt>, and you have the following
entries in your mailcap file, Mutt will search for an entry with the
print command:
<tscreen><verb>
image/*;	xv %s
image/gif;	; print= anytopnm %s | pnmtops | lpr; \
		nametemplate=%s.gif
</verb></tscreen>
Mutt will skip the <tt>image/*</tt> entry and use the <tt>image/gif</tt>
entry with the print command.

In addition, you can use this with <ref id="auto_view" name="Autoview"> 
to denote two commands for viewing an attachment, one to be viewed
automatically, the other to be viewed interactively from the attachment
menu.  In addition, you can then use the test feature to determine which
viewer to use interactively depending on your environment.
<tscreen><verb>
text/html;	netscape -remote 'openURL(%s)' ; test=RunningX
text/html;	lynx %s; nametemplate=%s.html
text/html;	lynx -dump %s; nametemplate=%s.html; copiousoutput
</verb></tscreen>
For <ref id="auto_view" name="Autoview">, Mutt will choose the third
entry because of the copiousoutput tag.  For interactive viewing, Mutt
will run the program RunningX to determine if it should use the first
entry.  If the program returns non-zero, Mutt will use the second entry
for interactive viewing.

<sect3>Command Expansion
<p>
The various commands defined in the mailcap files are passed to the
<tt>/bin/sh</tt> shell using the system() function.  Before the
command is passed to <tt>/bin/sh -c</tt>, it is parsed to expand
various special parameters with information from Mutt.  The keywords
Mutt expands are:
<descrip>
<tag/&percnt;s/
As seen in the basic mailcap section, this variable is expanded
to a filename specified by the calling program.  This file contains
the body of the message to view/print/edit or where the composing
program should place the results of composition.  In addition, the
use of this keyword causes Mutt to not pass the body of the message
to the view/print/edit program on stdin.
<tag/&percnt;t/
Mutt will expand &percnt;t to the text representation of the content
type of the message in the same form as the first parameter of the
mailcap definition line, ie <tt>text/html</tt> or
<tt>image/gif</tt>.
<tag>&percnt;{&lt;parameter&gt;}</tag>
Mutt will expand this to the value of the specified parameter
from the Content-Type: line of the mail message.  For instance, if
Your mail message contains:
<tscreen><verb>
Content-Type: text/plain; charset=iso-8859-1
</verb></tscreen>
then Mutt will expand &percnt;{charset} to iso-8859-1.  The default metamail
mailcap file uses this feature to test the charset to spawn an xterm
using the right charset to view the message.
<tag>&bsol;&percnt;</tag>
This will be replaced by a &percnt;
</descrip>
Mutt does not currently support the &percnt;F and &percnt;n keywords
specified in RFC 1524.  The main purpose of these parameters is for
multipart messages, which is handled internally by Mutt.

<sect2>Example mailcap files
<p>
This mailcap file is fairly simple and standard:
<code>
# I'm always running X :)
video/*;	xanim %s > /dev/null
image/*;	xv %s > /dev/null

# I'm always running netscape (if my computer had more memory, maybe)
text/html;	netscape -remote 'openURL(%s)'
</code>

This mailcap file shows quite a number of examples:

<code>
# Use xanim to view all videos   Xanim produces a header on startup,
# send that to /dev/null so I don't see it
video/*;	xanim %s > /dev/null

# Send html to a running netscape by remote
text/html;	netscape -remote 'openURL(%s)'; test=RunningNetscape

# If I'm not running netscape but I am running X, start netscape on the
# object
text/html;	netscape %s; test=RunningX

# Else use lynx to view it as text
text/html;	lynx %s

# This version would convert the text/html to text/plain
text/html;	lynx -dump %s; copiousoutput

# enriched.sh converts text/enriched to text/html and then uses 
# lynx -dump to convert it to text/plain
text/enriched;	enriched.sh ; copiousoutput

# I use enscript to print text in two columns to a page
text/*;		more %s; print=enscript -2Gr %s

# Netscape adds a flag to tell itself to view jpegs internally
image/jpeg;xv %s; x-mozilla-flags=internal

# Use xv to view images if I'm running X
# In addition, this uses the \ to extend the line and set my editor
# for images
image/*;xv %s; test=RunningX; \
	edit=xpaint %s

# Convert images to text using the netpbm tools
image/*;  (anytopnm %s | pnmscale -xysize 80 46 | ppmtopgm | pgmtopbm |
pbmtoascii -1x2 ) 2>&1 ; copiousoutput

# Send excel spreadsheets to my NT box
application/ms-excel; open.pl %s
</code>

<sect1>MIME Autoview<label id="auto_view">
<p>
In addition to explicitly telling Mutt to view an attachment with the
MIME viewer defined in the mailcap file, Mutt has support for
automatically viewing MIME attachments while in the pager.

To work, you must define a viewer in the mailcap file which uses the 
<tt/copiousoutput/ option to denote that it is non-interactive.
Usually, you also use the entry to convert the attachment to a text
representation which you can view in the pager.

You then use the <tt/auto&lowbar;view/ muttrc command to list the
content-types that you wish to view automatically.

For instance, if you set auto&lowbar;view to:
<tscreen><verb>
auto_view text/html text/enriched application/x-gunzip application/postscript image/gif application/x-tar-gz
</verb></tscreen>

Mutt could use the following mailcap entries to automatically view
attachments of these types.
<tscreen><verb>
text/html;      lynx -dump %s; copiousoutput; nametemplate=%s.html
text/enriched;  enriched.sh  ; copiousoutput
image/*;        anytopnm %s | pnmscale -xsize 80 -ysize 50 | ppmtopgm | pgmtopbm | pbmtoascii ; copiousoutput
application/x-gunzip;   gzcat; copiousoutput
application/x-tar-gz; gunzip -c %s | tar -tf - ; copiousoutput
application/postscript; ps2ascii %s; copiousoutput
</verb></tscreen>

<sect1>MIME Multipart/Alternative<label id="alternative_order">
<p>
Mutt has some heuristics for determining which attachment of a
multipart/alternative type to display.  First, mutt will check the 
alternative&lowbar;order list to determine if one of the available types
is preferred.  The alternative&lowbar;order list consists of a number of
mimetypes in order, including support for implicit and explicit
wildcards, for example:
<tscreen><verb>
alternative_order text/enriched text/plain text application/postscript image/*
</verb></tscreen>

Next, mutt will check if any of the types have a defined 
<ref id="auto_view" name="auto&lowbar;view">, and use that.  Failing
that, Mutt will look for any text type.  As a last attempt, mutt will
look for any type it knows how to handle.

<sect>Reference
<sect1>Command line options<label id="commandline">
<p>
Running <tt/mutt/ with no arguments will make Mutt attempt to read your spool
mailbox.  However, it is possible to read other mailboxes and
to send messages from the command line as well.

<tscreen><verb>
-a	attach a file to a message
-c	specify a carbon-copy (Cc) address
-e	specify a config command to be run after initilization files are read
-F	specify an alternate file to read initialization commands
-f	specify a mailbox to load
-h	print help on command line options
-H	specify a draft file from which to read a header and body
-i	specify a file to include in a message composition
-n	do not read the system Muttrc
-m	specify a default mailbox type
-p	recall a postponed message
-R	open mailbox in read-only mode
-s	specify a subject (enclose in quotes if it contains spaces)
-v	show version number and compile-time definitions
-x	simulate the mailx(1) compose mode
-y	show a menu containing the files specified by the mailboxes command
-z	exit immediately if there are no messages in the mailbox
-Z	open the first folder with new message,exit immediately if none
</verb></tscreen>

To read messages in a mailbox

<tt/mutt/ &lsqb; -nz &rsqb; &lsqb; -F <em/muttrc/ &rsqb; &lsqb; -m <em/type/ &rsqb; &lsqb; -f <em/mailbox/ &rsqb; 

To compose a new message

<tt/mutt/ &lsqb; -n &rsqb; &lsqb; -F <em/muttrc/ &rsqb; &lsqb; -a <em/file/ &rsqb; &lsqb; -c <em/address/ &rsqb; &lsqb; -i <em/filename/ &rsqb; &lsqb; -s <em/subject/ &rsqb; <em/address/ &lsqb; <em/address/ ... &rsqb; 

Mutt also supports a ``batch'' mode to send prepared messages.  Simply redirect
input from the file you wish to send.  For example,

<tt>mutt -s &dquot;data set for run &num;2&dquot; professor@bigschool.edu
&lt; &tilde;/run2.dat</tt>

This command will send a message to ``professor@bigschool.edu'' with a subject
of ``data set for run &num;2''.  In the body of the message will be the contents
of the file ``&tilde;/run2.dat''.

<sect1>Configuration Commands<label id="commands">
<p>
The following are the commands understood by mutt.

<itemize>
<item>
<tt><ref id="alias" name="alias"></tt> <em/key/ <em/address/ &lsqb; , <em/address/, ... &rsqb;
<item>
<tt><ref id="alias" name="unalias"></tt> <em/key/ <em/address/ &lsqb; , <em/address/, ... &rsqb;
<item>
<tt><ref id="alternative_order" name="alternative&lowbar;order"></tt> <em/mimetype/ &lsqb; <em/mimetype/ ... &rsqb;
<item>
<tt><ref id="auto_view" name="auto&lowbar;view"></tt> <em/mimetype/ &lsqb; <em/mimetype/ ... &rsqb;
<item>
<tt><ref id="bind" name="bind"></tt> <em/map/ <em/key/ <em/function/
<item>
<tt><ref id="color" name="color"></tt> <em/object/ <em/foreground/ <em/background/ &lsqb; <em/regexp/ &rsqb;
<item>
<tt><ref id="folder-hook" name="folder-hook"></tt> <em/pattern/ <em/command/
<item>
<tt><ref id="ignore" name="ignore"></tt> <em/pattern/ &lsqb; <em/pattern/ ... &rsqb;
<item>
<tt><ref id="ignore" name="unignore"></tt> <em/pattern/ &lsqb; <em/pattern/ ... &rsqb;
<item>
<tt><ref id="hdr_order" name="hdr&lowbar;order"></tt> <em/header/ &lsqb; <em/header/ ... &rsqb;
<item>
<tt><ref id="lists" name="lists"></tt> <em/address/ &lsqb; <em/address/ ... &rsqb; 
<item>
<tt><ref id="lists" name="unlists"></tt> <em/address/ &lsqb; <em/address/ ... &rsqb; 
<item>
<tt><ref id="macro" name="macro"></tt> <em/menu/ <em/key/ <em/sequence/
<item>
<tt><ref id="mailboxes" name="mailboxes"></tt> <em/filename/ &lsqb; <em/filename/ ... &rsqb;
<item>
<tt><ref id="color" name="mono"></tt> <em/object attribute/ &lsqb; <em/regexp/ &rsqb;
<item>
<tt><ref id="mbox-hook" name="mbox-hook"></tt> <em/pattern/ <em/mailbox/
<item>
<tt><ref id="my_hdr" name="my&lowbar;hdr"></tt> <em/string/
<item>
<tt><ref id="my_hdr" name="unmy&lowbar;hdr"></tt> <em/field/ &lsqb; <em/field/ ... &rsqb;
<item>
<tt><ref id="push" name="push"></tt> <em/string/
<item>
<tt><ref id="save-hook" name="save-hook"></tt> <em/regexp/ <em/filename/
<item>
<tt><ref id="send-hook" name="send-hook"></tt> <em/regexp/ <em/command/
<item>
<tt><ref id="set" name="set"></tt> &lsqb;no|inv&rsqb;<em/variable/&lsqb;=<em/value/&rsqb; &lsqb; <em/variable/ ... &rsqb;
<item>
<tt><ref id="set" name="toggle"></tt> <em/variable/ &lsqb;<em/variable/ ... &rsqb;
<item>
<tt><ref id="set" name="unset"></tt> <em/variable/ &lsqb;<em/variable/ ... &rsqb;
<item>
<tt><ref id="source" name="source"></tt> <em/filename/
</itemize>

<sect1>Configuration variables<label id="variables">
<p>

<sect2>abort&lowbar;nosubject<label id="abort_nosubject">
<p>
Type: quadoption<newline>
Default: ask-yes

If set to <em/yes/, when composing messages and no subject is given
at the subject prompt, composition will be aborted.  If set to <em/no/,
composing messages with no subject given at the subject prompt will
never be aborted.

<sect2>abort&lowbar;unmodified<label id="abort_unmodified">
<p>
Type: quadoption<newline>
Default: yes

If set to <em/yes/, composition will automatically abort after editing the
message body if no changes are made to the file (this check only happens
after the <em/first/ edit of the file).  When set to <em/no/, composition
will never be aborted.

<sect2>alias&lowbar;file<label id="alias_file">
<p>
Type: string<newline>
Default: &tilde;/.muttrc

The default file in which to save aliases created by the
<ref id="create-alias" name="create-alias"> function.

<bf/Note:/ Mutt will not automatically source this file; you must
explicitly use the <ref id="source" name="source"> command for it to be
executed.

<sect2>alias&lowbar;format<label id="alias_format">
<p>
Type: string<newline>
Default: &dquot;&percnt;2n &percnt;t &percnt;-10a   &percnt;r&dquot;

Specifies the format of the data displayed for the `alias' menu.  The
following printf(3)-style sequences are available.

<verb>
%a	alias name
%n	index number
%r	address which alias expands to
%t	character which indicates if the alias is tagged for inclusion (*/ )
</verb>

<sect2>allow&lowbar;8bit
<p>
Type: boolean<newline>
Default: set

Controls whether 8-bit data is converted to 7-bit using either Quoted-Printable
or Base64 encoding when sending mail.

<sect2>alternates<label id="alternates">
<p>
Type: string<newline>
Default: none

A regexp that allows you to specify <em/alternate/ addresses where you
receive mail.  This affects Mutt's idea about messages from you and
addressed to you.

<sect2>arrow&lowbar;cursor<label id="arrow_cursor">
<p>
Type: boolean<newline>
Default: unset

When set, an arrow (``-&gt;'') will be used to indicate the current entry in
menus instead of hiliting the whole line.  On slow network or modem links
this will make response faster because there is less that has to be redrawn
on the screen when moving to the next or previous entries in the menu.

<sect2>ascii&lowbar;chars<label id="ascii_chars">
<p>
Type: boolean<newline>
Default: unset

If set, Mutt will use plain ASCII characters when displaying thread and
attachment trees, instead of the default <em/ACS/ characters.

<sect2>askbcc<label id="askbcc">
<p>
Type: boolean<newline>
Default: unset

If set, Mutt will prompt you for blind-carbon-copy (Bcc) recipients before
editing an outgoing message.

<sect2>askcc<label id="askcc">
<p>
Type: boolean<newline>
Default: unset

If set, Mutt will prompt you for carbon-copy (Cc) recipients before editing
the body of an outgoing message.

<sect2>attribution<label id="attribution">
<p>
Type: format string<newline>
Default: &dquot;On &percnt;d, &percnt;n wrote:&dquot;

This is the string that will precede a message which has been included in
a reply.  For a full listing of defined escape sequences
see the section on <ref id="index_format" name="&dollar;index&lowbar;format">.

<sect2>autoedit<label id="autoedit">
<p>
Type: boolean<newline>
Default: unset

When set, Mutt will skip the initial send-menu and allow you to immediately
begin editing the body of your message when replying to another message.
The send-menu may still be accessed once you have finished editing the body
of your message.

If the <ref id="edit_headers" name="&dollar;edit&lowbar;headers"> variable is
also set, the initial prompts in the send-menu are always skipped, even
when composing a new message.

<sect2>auto&lowbar;tag<label id="auto_tag">
<p>
Type: boolean<newline>
Default: unset

When set, functions in the <em/index/ menu which affect a message will be
applied to all tagged messages (if there are any).  When unset, you must
first use the tag-prefix function (default: ";") to make the next function
apply to all tagged messages.

<sect2>beep<label id="beep">
<p>
Type: boolean<newline>
Default: set

When this variable is set, mutt will beep when an error occurs.

<sect2>beep&lowbar;new<label id="beep_new">
<p>
Type boolean<newline>
Default: unset

When this variable is set, mutt will beep whenever it prints a 
message notifying you of new mail.  This is independent of the
setting of the <ref id="beep" name="beep"> variable.

<sect2>charset<label id="charset">
<p>
Type: string<newline>
Default: iso-8859-1

Character set your terminal uses to display and enter textual data.  This
information is required to properly label outgoing messages which contain
8-bit characters so that receiving parties can display your messages in the
correct character set.

<sect2>check&lowbar;new<label id="check_new">
<p>
Type: boolean<newline>
Default: set

<bf/Note:/ this option only affects <em/maildir/ and <em/MH/ style
mailboxes.

When <em/set/, Mutt will check for new mail delivered while the mailbox
is open.  Especially with MH mailboxes, this operation can take quite
some time since it involves scanning the directory and checking each
file to see if it has already been looked at.  If <em/check&lowbar;new/
is <em/unset/, no check for new mail is performed while the mailbox is
open.

<sect2>confirmappend<label id="confirmappend">
<p>
Type: boolean<newline>
Default: set

When set, Mutt will prompt for confirmation when appending messages to an
existing mailbox.

<sect2>confirmcreate<label id="confirmcreate">
<p>
Type: boolean<newline>
Default: set

When set, Mutt will prompt for confirmation when saving messages to a
mailbox which does not yet exist before creating it.

<sect2>copy<label id="copy">
<p>
Type: quadoption<newline>
Default: yes

This variable controls whether or not copies of your outgoing messages will be
saved for later references.  Also see <ref id="record" name="record">,
<ref id="save_name" name="save&lowbar;name">,
<ref id="force_name" name="force&lowbar;name"> and
<ref id="fcc-hook" name="fcc-hook">.

<sect2>date&lowbar;format<label id="date_format">
<p>
Type: string<newline>
Default: &dquot;!&percnt;a, &percnt;b &percnt;d, &percnt;Y at &percnt;I:&percnt;M:&percnt;S&percnt;p &percnt;Z&dquot;

This variable controls the format of the date printed
by the ``&percnt;d'' sequence in <ref id="index_format"
name="&dollar;index&lowbar;format">.  This is passed to the <em/strftime/
call to process the date. See the man page for <em/strftime(3)/ for the
proper syntax.

Unless the first character in the string is a bang (``!''), the month
and week day names are expanded according to the locale specified in
the variable <ref id="locale" name="locale">. If the first character in
the string is a bang, the bang is discarded, and the month and week day
names in the rest of the string are expanded in the <em/C/ locale (that
is in US English).

<sect2>default&lowbar;hook<label id="default_hook">
<p>
Type: string<newline>
Default: "&tilde;f &percnt;s | (&tilde;P (&tilde;c &percnt;s | &tilde;t &percnt;s))"

This variable controls how send-hooks, save-hooks, and fcc-hooks will be
interpreted if they are specified with only a simple regexp, instead of a
matching pattern.  The hooks are expanded when they are declared, so a hook
will be interpreted according to the value of this variable at the time the
hook is declared.  The default value matches if the message is either from a
user matching the regular expression given, or if it is from you (if the from
address matches <ref id="alternates" name="alternates">) and is to or cc'ed to
a user matching the given regular expression.

<sect2>delete<label id="delete">
<p>
Type: quadoption<newline>
Default: ask-yes

Controls whether or not messages are really deleted when closing or
synchronizing a mailbox.  If set to <em/yes/, messages marked for deleting
will automatically be purged without prompting.  If set to <em/no/, messages
marked for deletion will be kept in the mailbox.

<sect2>delete&lowbar;format<label id="delete_format">
<p>
Type: string<newline>
Default: "&lsqb;-- Attachment from &percnt;u deleted on &percnt;&lt;&percnt;D&gt; --&rsqb;"

This variable controls the format of the message used to replace an
attachment when the attachment is deleted.  It uses the same format
sequences as the <ref id="index_format" name="&dollar;index&lowbar;format">
variable.

<sect2>dsn&lowbar;notify<label id="dsn_notify">
<p>
Type: string<newline>
Default: none

<bf/Note:/ you should not enable this unless you are using Sendmail 8.8.x or
greater.

This variable sets the request for when notification is returned.  The
string consists of a comma separated list (no spaces!) of one or more of the
following: <em/never/, to never request notification, <em/failure/, to
request notification on transmission failure, <em/delay/, to be notified of
message delays, <em/success/, to be notified of successful transmission.

Example: <tt/set dsn&lowbar;notify=&dquot;failure,delay&dquot;/

<sect2>dsn&lowbar;return<label id="dsn_return">
<p>
Type: string
Default: none

<bf/Note:/ you should not enable this unless you are using Sendmail 8.8.x or
greater.

This variable controls how much of your message is returned in DSN messages.
It may be set to either <em/hdrs/ to return just the message header, or
<em/full/ to return the full message.

Example: <tt/set dsn&lowbar;return=hdrs/

<sect2>edit&lowbar;headers<label id="edit_headers">
<p>
Type: boolean<newline>
Default: unset

This option allows you to edit the header of your outgoing messages along
with the body of your message.

<sect2>editor<label id="editor">
<p>
Type: String<newline>
Default: value of environment variable &dollar;VISUAL, &dollar;EDITOR, or &dquot;vi&dquot;

This variable specifies which editor to use when composing messages.

<sect2>escape<label id="escape">
<p>
Type: string<newline>
Default: &tilde;

Escape character to use for functions in the builtin editor.

<sect2>fast&lowbar;reply<label id="fast_reply">
<p>
Type: boolean<newline>
Default: unset

When set, the initial prompt for recipients and subject are skipped when
replying to messages, and the initial prompt for subject is skipped when
forwarding messages.
<p>
<bf/Note:/ this variable has no effect when the <ref id="autoedit"
name="&dollar;autoedit"> variable is set.

<sect2>fcc&lowbar;attach<label id="fcc_attach">
<p>
Type: boolean<newline>
Default: set

This variable controls whether or not attachments on outgoing messages are
saved along with the main body of your message.

<sect2>folder<label id="folder">
<p>
Type: String<newline>
Default: &tilde;/Mail

Specifies the default location of your mailboxes.  A `+' or `=' at the
beginning of a pathname will be expanded to the value of this variable.
Note that if you change this variable from the default value you need to
make sure that the assignment occurs <em/before/ you use `+' or `=' for any
other variables since expansion takes place during the `set' command.

<sect2>folder&lowbar;format<label id="folder_format">
<p>
Type: format string<newline>
Default: &dquot;&percnt;N &percnt;F &percnt;2l &percnt;-8.8u &percnt;-8.8g &percnt;8s &percnt;d &percnt;f&dquot;

This variable allows you to customize the file browser display to 
your personal taste.  This string is similar to <ref id="index_format"
name="&dollar;index&lowbar;format">, but has its own set of printf()-like
sequences:

<tscreen><verb>
%d	date/time folder was last modified
%f	filename
%F	file permissions
%g	group name (or numeric gid, if missing)
%l	number of hard links
%N	N if folder has new mail, blank otherwise
%s	size in bytes
%u	owner name (or numeric uid, if missing)

%>X	right justify the rest of the string and pad with character "X"
%|X	pad to the end of the line with character "X"
</verb></tscreen>

<sect2>followup&lowbar;to<label id="followup_to">
<p>
Type: boolean<newline>
Default: set

Controls whether or not the <em/Mail-Followup-To/ header field is generated
when sending mail.  When <em/set/, Mutt will generate this field when you
are replying to a known mailing <ref id="lists" name="lists">.

The purpose of this field is to prevent you from receiving duplicate copies of
replies to messages which you send by specifying that you will receive a copy
of the message if it is addressed to the mailing list (and thus there is no
need to also include your address in a group reply).

<sect2>force&lowbar;name<label id="force_name">
<p>
Type: boolean<newline>
Default: unset

This variable is similar to <ref id="save_name"
name="&dollar;save&lowbar;name">, except that Mutt will store a copy of
your outgoing message by the username of the address you are sending
to even if that mailbox does not exist.

Also see the <ref id="record" name="&dollar;record"> variable.

<sect2>forward&lowbar;decode<label id="forward_decode">
<p>
Type: boolean<newline>
Default: set

Controls the decoding of complex MIME messages into text/plain when
forwarding a message and the message header is also RFC2047 decoded.
This variable is only used, if <ref id="mime_forward"
name="mime&lowbar;forward"> is <em/unset/, otherwise <ref
id="mime_forward_decode" name="mime&lowbar;forward&lowbar;decode"> is
used instead.

<sect2>forward&lowbar;format<label id="forward_format">
<p>
Type: format string<newline>
Default: &dquot;&lsqb;&percnt;a: &percnt;s&rsqb;&dquot

This variable controls the default subject when forwarding a message.  It
uses the same format sequences as the <ref id="index_format"
name="&dollar;index&lowbar;format"> variable.

<sect2>forward&lowbar;quote<label id="forward_quote">
<p>
Type: boolean<newline>
Default: unset

When <em/set/ forwarded messages included in the main body of the message
(when <ref id="mime_forward" name="mime&lowbar;forward"> is <em/unset/) will be
quoted using <ref id="indent_string" name="indent&lowbar;string">.

<sect2>hdrs<label id="hdrs">
<p>
Type: boolean<newline>
Default: set

When unset, the header fields normally added by the <ref id="my_hdr"
name="my&lowbar;hdr"> command are not created.  This variable <em/must/ be
unset before composing a new message or replying in order to take effect.  If
set, the user defined header fields are added to every new message.

<sect2>header
<p>
Type: boolean<newline>
Default: unset

When set, this variable causes Mutt to include the <em/full/ header of
the message you are replying to into the edit buffer.

<sect2>help<label id="help">
<p>
Type: boolean<newline>
Default: set

When set, help lines describing the bindings for the major functions
provided by each menu are displayed on the first line of the screen.

<bf/Note:/ The binding will not be displayed correctly if the function is
bound to a sequence rather than a single keystroke.  Also, the help line
may not be updated if a binding is changed while Mutt is running.  Since
this variable is primarily aimed at new users, neither of these should
present a major problem.

<sect2>history<label id="history">
<p>
Type: number<newline>
Default: 10

This variable controls the size (in number of strings remembered) of the
string history buffer. The buffer is cleared each time the variable is
set.

<sect2>hostname<label id="hostname">
<p>
Type: string<newline>
Default: varies

Specifies the hostname to use after the ``@'' in local e-mail addresses.  This
overrides the compile time definition obtained from /etc/resolv.conf.

<sect2>ignore&lowbar;list&lowbar;reply&lowbar;to<label
id="ignore_list_reply_to">
<p>
Type: boolean<newline>
Default: unset

Affects the behaviour of the <em/reply/ function when replying to
messages from mailing lists.  When set, if the ``Reply-To:'' field
is set to the same value as the ``To:'' field, Mutt assumes that the
``Reply-To:'' field was set by the mailing list to automate responses
to the list, and will ignore this field.  To direct a response to the
mailing list when this option is set, use the <em/list-reply/ function;
<em/group-reply/ will reply to both the sender and the list.

<sect2>imap&lowbar;checkinterval<label id="imap_checkinterval">
<p>
Type: number<newline>
Default: 0

This variable configures how often (in seconds) IMAP should look for
new mail.

<sect2>imap&lowbar;pass<label id="imap_pass">
<p>
Type: string<newline>
Default: unset

Specifies the password for your IMAP account.  If unset, Mutt will prompt you
for your password when you invoke the fetch-mail function. <bf/Warning/:
you should only use this option when you are on a fairly secure machine,
because the superuser can read your muttrc even if you are the only one who
can read the file.

<sect2>imap&lowbar;user<label id="imap_user">
<p>
Type: string<newline>
Default: login name on local system

Your login name on the IMAP server.

<sect2>in&lowbar;reply&lowbar;to
<p>
Type: format string<newline>
Default: &dquot;&percnt;i; from &bsol;&dquot;&percnt;n&bsol;&dquot; on &percnt;{!&percnt;a, &percnt;b &percnt;d, &percnt;Y at &percnt;I:&percnt;M:&percnt;S&percnt;p}&dquot;

This specifies the format of the <tt/In-Reply-To:/ header
field added when replying to a message. For a full listing of
defined escape sequences see the section on <ref id="index_format"
name="&dollar;index&lowbar;format">.

<sect2>include<label id="include">
<p>
Type: quadoption<newline>
Default: ask-yes

Controls whether or not a copy of the message(s) you are replying to is
included in your reply.

<sect2>indent&lowbar;string<label id="indent_string">
<p>
Type: format string<newline>
Default: &dquot;&gt; &dquot;

Specifies the string to prepend to each line of text quoted in a message to
which you are replying.  You are strongly encouraged not to change this
value, as it tends to agitate the more fanatical netizens.

<sect2>index&lowbar;format<label id="index_format">
<p>
Type: format string<newline>
Default: &dquot;&percnt;4C &percnt;Z &percnt;{&percnt;b &percnt;d} &percnt;-15.15L (&percnt;4l) &percnt;s&dquot;

This variable allows you to customize the message index display to your
personal taste.

``Format strings'' are similar to the strings used in the ``C'' function
<tt/printf/ to format output (see the man page for more detail).  The
following sequences are defined in Mutt:

<tscreen><verb>
%a	address of the author
%b	filename of the original message folder (think mailBox)
%B	the list to which the letter was sent, or else the folder name (%b).
%c	number of characters (bytes) in the message
%C	current message number
%d	date and time of the message in the format specified by
	``date_format''
%f	entire From: line (address + real name)
%F	author name, or recipient name if the message is from you
%i	message-id of the current message
%l	number of lines in the message
%L	list-from function
%m	total number of message in the mailbox
%N      message score
%n	author's real name (or address if missing)
%O	 (_O_riginal save folder)  Where mutt would formerly have stashed the
	message: list name or recipient name if no list
%s	subject of the message
%S	status of the message (N/D/d/!/*/r)
%t	`to:' field (recipients)
%T	the appropriate character from the $to_chars string
%u	user (login) name of the author
%Z	message status flags

%{fmt}	the date and time of the message is converted to sender's 
	time zone, and ``fmt'' is expanded by the system call 
	``strftime''; a leading bang disables locales
%[fmt]	the date and time of the message is converted to the local
	time zone, and ``fmt'' is expanded by the system call
	``strftime''; a leading bang disables locales
%(fmt)	the local date and time when the message was received.
	``fmt'' is expanded by the system call ``strftime'';
	a leading bang disables locales
%<fmt>	the current local time. ``fmt'' is expanded by the system
	call ``strftime''; a leading bang disables locales.

%>X	right justify the rest of the string and pad with character "X"
%|X	pad to the end of the line with character "X"
</verb></tscreen>

See also: <ref id="to_chars" name="&dollar;to&lowbar;chars">.

<sect2>ispell<label id="ispell">
<p>
Type: string<newline>
Default: &dquot;ispell&dquot;

How to invoke ispell (GNU's spell-checking software).

<sect2>locale<label id="locale">
<p>
Type: string<newline>
Default: "C"

The locale used by <em/strftime(3)/ to format dates. Legal values are
the strings your system accepts for the locale variable <em/LC&lowbar;TIME/.

<sect2>mailcap&lowbar;path<label id="mailcap_path">
<p>
Type: string<newline>
Default: &dollar;MAILCAPS or &tilde;/.mailcap:/usr/local/share/mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap

This variable specifies which files to consult when attempting to display
MIME bodies not directly supported by Mutt.

<sect2>mail&lowbar;check<label id="mail_check">
<p>
Type: number<newline>
Default: 5

This variable configures how often (in seconds) mutt should look for
new mail.

<sect2>mark&lowbar;old
<p>
Type: boolean<newline>
Default: set

Controls whether or not Mutt makes the distinction between <em/new/ messages
and <em/old/ <bf/unread/ messages.  By default, Mutt will mark new messages
as old if you exit a mailbox without reading them.  The next time you start
Mutt, the messages will show up with an "O" next to them in the index menu,
indicating that they are old.  In order to make Mutt treat all unread messages
as new only, you can unset this variable.

<sect2>markers<label id="markers">
<p>
Type: boolean<newline>
Default: set

Controls the display of wrapped lines in the internal pager. If set, a
``+'' marker is displayed at the beginning of wrapped lines. Also see
the <ref id="smart_wrap" name="&dollar;smart&lowbar;wrap"> variable.

<sect2>mask<label id="mask">
<p>
Type: string<newline>
Default: "^(&bsol;.&bsol;.&dollar;|&lsqb;^.&rsqb;)"

A regular expression used in the file browser. Files whose names don't
match this mask will not be shown.

<sect2>mbox<label id="mbox">
<p>
Type: String<newline>
Default: +inbox

This specifies the folder into which read mail in your <ref id="spoolfile"
name="spoolfile"> folder will be appended.

<sect2>mbox&lowbar;type<label id="mbox_type">
<p>
Type: String<newline>
Default: mbox

The default mailbox type used when creating new folders. May be any of
mbox, MMDF, MH and Maildir.

<sect2>metoo<label id="metoo">
<p>
Type: boolean<newline>
Default: unset

If unset, Mutt will remove your address from the list of recipients when
replying to a message.  If you are replying to a message sent by you,
Mutt will also assume that you want to reply to the recipients of that
message rather than to yourself.

<sect2>menu&lowbar;scroll<label id="menu_scroll">
<p>
Type: boolean<newline>
Default: unset

When <em/set/, menus will be scrolled up or down one line when you attempt
to move across a screen boundary.  If <em/unset/, the screen is cleared and
the next or previous page of the menu is displayed (useful for slow links to
avoid many redraws).

<sect2>meta&lowbar;key<label id="meta_key">
<p>
Type: boolean<newline>
Default: unset

If set, forces Mutt to interpret keystrokes with the high bit (bit 8) set as
if the user had pressed the ESC key and whatever key remains after having
the high bit removed.  For example, if the key pressed has an ASCII value of
0xf4, then this is treated as if the user had pressed ESC then ``x''.  This
is because the result of removing the high bit from ``0xf4'' is ``0x74'',
which is the ASCII character ``x''.

<sect2>mime&lowbar;forward<label id="mime_forward">
<p>
Type: quadoption<newline>
Default: unset

When set, the message you are forwarding will be attached as a separate
MIME part instead of included in the main body of the message.  This is
useful for forwarding MIME messages so the receiver can properly view the
message as it was delivered to you. If you like to switch between MIME
and not MIME from mail to mail, set this variable to ask-no or ask-yes.

Also see <ref id="forward_decode" name="forward&lowbar;decode"> and
<ref id="mime_forward_decode"
name="mime&lowbar;forward&lowbar;decode">.

<sect2>mime&lowbar;forward&lowbar;decode<label id="mime_forward_decode">
<p>
Type: boolean<newline>
Default: unset

Controls the decoding of complex MIME messages into text/plain when
forwarding a message while <ref id="mime_forward"
name="mime&lowbar;forward"> is <em/set/. Otherwise <ref
id="forward_decode" name="forward&lowbar;decode"> is used instead.

<sect2>move<label id="move">
<p>
Type: quadoption<newline>
Default: ask-no

Controls whether you will be asked to confirm moving read messages from your
spool mailbox to your <ref id="mbox" name="&dollar;mbox"> mailbox, or as a
result of a <ref id="mbox-hook" name="mbox-hook"> command.

<sect2>message&lowbar;format<label id="message_format">
<p>
Type: format string<newline>
Default: &dquot;&percnt;s&dquot;

This is the string displayed in the <ref id="attach_menu"
name="attachment"> menu for attachments of type <em>message/rfc822</em>.
For a full listing of defined escape sequences see the section on <ref
id="index_format" name="index&lowbar;format">.

<sect2>pager<label id="pager">
<p>
Type: string<newline>
Default: builtin

This variable specifies which pager you would like to use to view messages.
<tt/builtin/ means to use the builtin pager, otherwise this variable should
specify the pathname of the external pager you would like to use.

<sect2>pager&lowbar;context<label id="pager_context">
<p>
Type: number<newline>
Default: 0

This variable controls the number of lines of context that are given when
displaying the next or previous page in the internal pager.  By default,
Mutt will display the line after the last one on the screen at the top of
the next page (0 lines of context).

<sect2>pager&lowbar;format<label id="pager_format">
<p>
Type: format string<newline>
Default: &dquot;-&percnt;S- &percnt;C/&percnt;m: &percnt;-20.20n   &percnt;s&dquot;

This variable controls the format of the one-line message ``status''
displayed before each message in either the internal or an external
pager.  The valid sequences are listed in the <ref id="index_format"
name="index&lowbar;format"> section.

<sect2>pager&lowbar;index&lowbar;lines<label id="pager_index_lines">
<p>
Type: number<newline>
Default: 0

Determines the number of lines of a mini-index which is shown
when in the pager.  The current message, unless near the top or
bottom of the folder, will be roughly one third of the way down
this mini-index, giving the reader the context of a few messages
before and after the message.  This is useful, for example, to
determine how many messages remain to be read in the current thread.
One of the lines is reserved for the status bar from the index,
so a <em/pager&lowbar;index&lowbar;lines/ of 6 will only show 5
lines of the actual index.  A value of 0 results in no index being
shown.  If the number of messages in the current folder is less than
<em/pager&lowbar;index&lowbar;lines/, then the index will only use as
many lines as it needs.

<sect2>pager&lowbar;stop<label id="pager_stop">
<p>
Type: boolean<newline>
Default: unset

When set, the internal-pager will <bf/not/ move to the next message when
you are at the end of a message and invoke the <em/next-page/ function.

<sect2>pgp&lowbar;autoencrypt<label id="pgp_autoencrypt">
<p>
Type: boolean<newline>
Default: unset

Setting this variable will cause Mutt to always attempt to PGP/MIME
encrypt outgoing messages.  This is probably only useful in connection
to the <em/send-hook/ command.  It can be overridden by use of the
<em/pgp-menu/, when encryption is not required or signing is requested
as well.

<sect2>pgp&lowbar;autosign<label id="pgp_autosign">
<p>
Type: boolean<newline>
Default: unset

Setting this variable will cause Mutt to always attempt to PGP/MIME sign
outgoing messages.  This can be overridden by use of the <em/pgp-menu/,
when signing is not required or encryption is requested as well.

<sect2>pgp&lowbar;default&lowbar;version<label id="pgp_default_version">
<p>
Type: string<newline>
Default: pgp2 (or pgp5, if PGP 2.* is not installed, or gpg, if none
of them is installed)

Set this to pgp2 (PGP 2.*), pgp5 (PGP 5.*), or gpg (GNU privacy guard),
depending on the version that you primarily use. This variable is
not directly used, but it is the default for the variables <ref
id="pgp_receive_version"
name="&dollar;pgp&lowbar;receive&lowbar;version">, <ref
id="pgp_send_version" name="&dollar;pgp&lowbar;send&lowbar;version">,
and <ref id="pgp_key_version"
name="&dollar;pgp&lowbar;key&lowbar;version">.

<sect2>pgp&lowbar;encryptself<label id="pgp_encryptself">
<p>
Type: boolean<newline>
Default: set

If set, the PGP <em/+encrypttoself/ flag is used when encrypting messages.

<sect2>pgp&lowbar;gpg<label id="pgp_gpg">
<p>
Type: string<newline>
Default: system dependent

This variable allows you to override the compile time definition of
where the gpg (GNU Privacy Guard) binary resides on your system.

<sect2>pgp&lowbar;key&lowbar;version<label id="pgp_key_version">
<p>
Type: string<newline>
Default: ``default''

This variable determines which PGP version is used for key ring
operations like extracting keys from messages and extracting keys from
your keyring. If you set this to default, the default defined in <ref
id="pgp_default_version"
name="&dollar;pgp&lowbar;default&lowbar;version"> is used. Set this to
pgp2 (PGP 2.*), pgp5 (PGP 5.*), or gpg (GNU privacy guard) if you want
to use a different PGP version for key operations.

<sect2>pgp&lowbar;long&lowbar;ids<label id="pgp_long_ids">
<p>
Type: boolean<newline>
Default: unset

If set, use 64 bit PGP key IDs. Unset uses the normal 32 bit Key IDs.

<sect2>pgp&lowbar;receive&lowbar;version<label id="pgp_receive_version">
<p>
Type: string<newline>
Default: ``default''

This variable determines which PGP version is used for decrypting
messages and verifying signatures. If you set this to default, the
default defined in <ref id="pgp_default_version"
name="&dollar;pgp&lowbar;default&lowbar;version"> will be used. Set
this to pgp2 (PGP 2.*), pgp5 (PGP 5.*), or gpg (GNU privacy guard) if
you want to use a different PGP version for receiving operations.

<sect2>pgp&lowbar;replyencrypt<label id="pgp_replyencrypt">
<p>
Type: boolean<newline>
Default: unset

If set, automatically PGP encrypt replies to messages which are encrypted.

<sect2>pgp&lowbar;replysign<label id="pgp_replysign">
<p>
Type: boolean<newline>
Default: unset

If set, automatically PGP sign replies to messages which are signed.

<bf/Note:/ this does not work on messages, that are encrypted <bf/and/
signed!

<sect2>pgp&lowbar;send&lowbar;version<label id="pgp_send_version">
<p>
Type: string<newline>
Default: ``default''

This variable determines which PGP version is used for composing new
messages like encrypting and signing. If you set this to default, the
default defined in <ref id="pgp_default_version"
name="&dollar;pgp&lowbar;default&lowbar;version"> will be used. Set
this to pgp2 (PGP 2.*), pgp5 (PGP 5.*), or gpg (GNU privacy guard) if
you want to use a different PGP version for sending operations.

<sect2>pgp&lowbar;sign&lowbar;as<label id="pgp_sign_as">
<p>
Type: string<newline>
Default: unset

If you have more than one key pair, this option allows you to specify which
of your private keys to use.  It is recommended that you use the keyid form
to specify your key (e.g., ``0xABCDEFGH'').

<sect2>pgp&lowbar;sign&lowbar;micalg<label id="pgp_sign_micalg">
<p>
Type: string<newline>
Default: pgp-md5

This variable contains the default message integrity check algorithm.
Valid values are ``pgp-md5'', ``pgp-sha1'', and ``pgp-rmd160''. If you
select a signing key using the sign as option on the compose menu,
mutt will automagically figure out the correct value to insert here,
but it does not know about the user's default key.

So if you are using an RSA key for signing, set this variable to
``pgp-md5'', if you use a PGP 5 DSS key for signing, say ``pgp-sha1''
here. The value of this variable will show up in the micalg parameter
of MIME headers when creating RFC 2015 signatures.

<sect2>pgp&lowbar;strict&lowbar;enc<label id="pgp_strict_enc">
<p>
Type: boolean<newline>
Default: set

If set, Mutt will automatically encode PGP/MIME signed
messages as <em/quoted-printable/.  Please note that
unsetting this variable may lead to problems with
non-verifyable PGP signatures, so only change this if you
know what you are doing.

<sect2>pgp&lowbar;timeout<label id="pgp_timeout">
<p>
Type: number<newline>
Default: 300

The number of seconds after which a cached passphrase will expire if not
used.

<sect2>pgp&lowbar;v2<label id="pgp_v2">
<p>
Type: string<newline>
Default: system dependent

This variable allows you to override the compile time definition of
where the PGP 2.* binary resides on your system.

<sect2>pgp&lowbar;v2&lowbar;language<label id="pgp_v2_language">
<p>
Type: string<newline>
Default: en

Sets the language, which PGP 2.* should use. If you use language.txt
from the mutt doc directory, you can try the languages
&dquot;mutt&dquot; (English) or &dquot;muttde&dquot; (German) to
reduce the noise produced by pgp.

<sect2>pgp&lowbar;v2&lowbar;pubring<label id="pgp_v2_pubring">
<p>
Type: string<newline>
Default: &dollar;PGPPATH/pubring.pgp or &tilde;/.pgp/pubring.pgp if
&dollar;PGPPATH isn't set.

Points to the PGP 2.* public keyring.

<sect2>pgp&lowbar;v2&lowbar;secring<label id="pgp_v2_secring">
<p>
Type: string<newline>
Default: &dollar;PGPPATH/secring.pgp or &tilde;/.pgp/secring.pgp if
&dollar;PGPPATH isn't set.

Points to the PGP 2.* secret keyring.

<sect2>pgp&lowbar;v5<label id="pgp_v5">
<p>
Type: string<newline>
Default: system dependent

This variable allows you to override the compile time definition of
where the PGP 5.* binary resides on your system.

<sect2>pgp&lowbar;v5&lowbar;language<label id="pgp_v5_language">
<p>
Type: string<newline>
Default: en

Sets the language, which PGP 5.* should use. If you use language50.txt
from the mutt doc directory, you can try the languages
&dquot;mutt&dquot; (English) to reduce the noise produced by pgp.

<sect2>pgp&lowbar;v5&lowbar;pubring<label id="pgp_v5_pubring">
<p>
Type: string<newline>
Default: &dollar;PGPPATH/pubring.pkr or &tilde;/.pgp/pubring.pkr if
&dollar;PGPPATH isn't set.

Points to the PGP 5.* public keyring.

<sect2>pgp&lowbar;v5&lowbar;secring<label id="pgp_v5_secring">
<p>
Type: string<newline>
Default: &dollar;PGPPATH/secring.skr or &tilde;/.pgp/secring.skr if
&dollar;PGPPATH isn't set.

Points to the PGP 5.* secret keyring.

<sect2>pipe&lowbar;decode<label id="pipe_decode">
<p>
Type: boolean<newline>
Default: unset

Used in connection with the <em/pipe-message/ command.
When unset, Mutt will pipe the messages without any preprocessing. When
set, Mutt will weed headers and will attempt to PGP/MIME decode the
messages first.

<sect2>pipe&lowbar;sep<label id="pipe_sep">
<p>
Type: string<newline>
Default: newline

The separator to add between messages when piping a list of tagged messages
to an external Unix command.

<sect2>pipe&lowbar;split<label id="pipe_split">
<p>
Type: boolean<newline>
Default: unset

Used in connection with the <em/pipe-message/ command and the
``tag-prefix'' operator.  If this variable is unset, when piping a list
of tagged messages Mutt will concatenate the messages and will pipe them
as a single folder.  When set, Mutt will pipe the messages one by one.
In both cases the the messages are piped in the current sorted order,
and the <ref id="pipe_sep" name="&dollar;pipe&lowbar;sep"> separator is
added after each message.

<sect2>pop&lowbar;delete<label id="pop_delete">
<p>
Type: boolean<newline>
Default: unset

If set, Mutt will delete successfully downloaded messages from the POP
server when using the fetch-mail function.  When unset, Mutt will download
messages but also leave them on the POP server.

<sect2>pop&lowbar;host<label id="pop_host">
<p>
Type: string<newline>
Default: none

The name or address of your POP3 server.

<sect2>pop&lowbar;pass<label id="pop_pass">
<p>
Type: string<newline>
Default: unset

Specifies the password for your POP account.  If unset, Mutt will prompt you
for your password when you invoke the fetch-mail function. <bf/Warning/:
you should only use this option when you are on a fairly secure machine,
because the superuser can read your muttrc even if you are the only one who
can read the file.

<sect2>pop&lowbar;port<label id="pop_port">
<p>
Type: number<newline>
Default: 110

This variable specifies which port your POP server is listening on.

<sect2>pop&lowbar;user<label id="pop_user">
<p>
Type: string<newline>
Default: login name on local system

Your login name on the POP3 server.

<sect2>post&lowbar;indent&lowbar;string<label id="post_indent_string">
<p>
Type: format string<newline>
Default: none

Similar to the <ref id="attribution" name="&dollar;attribution">
variable, Mutt will append this string after the inclusion of a message
which is being replied to.

<sect2>postpone<label id="postpone">
<p>
Type: quadoption<newline>
Default: ask-yes

Controls whether or not messages are saved in the <ref id="postponed"
name="&dollar;postponed"> mailbox when you elect not to send
immediately.

<sect2>postponed<label id="postponed">
<p>
Type: string<newline>
Default: &tilde;/postponed

Mutt allows you to indefinitely <ref id="postponing_mail" name="postpone
sending a message"> which you are editing.  When you choose to postpone a
message, Mutt saves it in the folder specified by this variable.  Also see
the <ref id="postpone" name="&dollar;postpone"> variable.

<sect2>print
<p>
Type: quadoption<newline>
Default: ask-no

Controls whether or not Mutt asks for confirmation before printing.  This
is useful for people (like me) who accidentally hit ``p'' often.

<sect2>print&lowbar;command<label id="print_command">
<p>
Type: string<newline>
Default: lpr

This specifies the command pipe that should be used to print messages.

<sect2>prompt&lowbar;after<label id="prompt_after">
<p>
Type: boolean<newline>
Default: set

If you use an <em/external/ <ref id="pager" name="pager">, setting this 
variable will cause Mutt to prompt you for a command when the pager 
exits rather than returning to the index menu.  If unset, Mutt will return 
to the index menu when the external pager exits.

<sect2>query&lowbar;command<label id="query_command">
<p>
Type: string<newline>
Default: null

This specifies the command that mutt will use to make external address
queries.  The string should contain a %s, which will be substituted with
the query string the user types.  See <ref id="query" name="query"> for
more information.

<sect2>quit<label id="quit">
<p>
Type: quadoption<newline>
Default: yes

This variable controls whether ``quit'' and ``exit'' actually quit from mutt.  
If it set to yes, they do quit, if it is set to no, they have no effect, and
if it is set to ask-yes or ask-no, you are prompted for confirmation when you
try to quit.

<sect2>quote&lowbar;regexp<label id="quote_regexp">
<p>
Type: string<newline>
Default: "^(&lsqb; &bsol;t&rsqb;*&lsqb;&gt;|&num;:}&rsqb;)+"

A regular expression used in the internal-pager to determine quoted
sections of text in the body of a message.

<bf/Note:/ In order to use the <em/quoted/<bf/x/ patterns in the
internal pager, you need to set this to a regular expression that
matches <em/exactly/ the quote characters at the beginning of quoted
lines.

<sect2>read&lowbar;inc<label id="read_inc">
<p>
Type: number<newline>
Default: 10

If set to a value greater than 0, Mutt will display which message it is
currently on when reading a mailbox.  The message is printed after
<em/read&lowbar;inc/ messages have been read (e.g., if set to 25, Mutt will
print a message when it reads message 25, and then again when it gets to
message 50).  This variable is meant to indicate progress when reading
large mailboxes which may take some time.

When set to 0, only a single message will appear before the reading
the mailbox.

Also see the <ref id="write_inc" name="&dollar;write&lowbar;inc"> variable.

<sect2>read&lowbar;only<label id="read_only">
<p>
Type: boolean<newline>
Default: unset

If set, all folders are opened in read-only mode.

<sect2>realname<label id="realname">
<p>
Type: string<newline>
Default: GCOS field from /etc/passwd

This variable specifies what "real" or "personal" name should be used when
sending messages.

<sect2>recall<label id="recall">
<p>
Type: quadoption<newline>
Default: ask-yes

Controls whether or not you are prompted to recall postponed messages when
composing a new message.  Also see <ref id="postponed" name="postponed">

<sect2>record<label id="record">
<p>
Type: string<newline>
Default: none

This specifies the file into which your outgoing messages should be
appended.  (This is meant as the primary method for saving a copy of
your messages, but another way to do this is using the <ref id="my_hdr"
name="my&lowbar;hdr"> command to create a <em/Bcc:/ field with your
email address in it.)

The value of <em/&dollar;record/ is overridden by the
<ref id="force_name" name="&dollar;force&lowbar;name"> and 
<ref id="save_name" name="&dollar;save&lowbar;name"> variables, and the
<ref id="fcc-hook" name="fcc-hook"> command.

<sect2>reply&lowbar;regexp<label id="reply_regexp">
<p>
Type: string<newline>
Default: "^(re|aw):&lsqb; &bsol;t&rsqb;*"

A regular expression used to recognize reply messages when threading and
replying. The default value corresponds to the English "Re:" and the
German "Aw:".

<sect2>reply&lowbar;to<label id="reply_to">
<p>
Type: quadoption<newline>
Default: ask-yes

If set, Mutt will ask you if you want to use the address listed in the
Reply-To: header field when replying to a message.  If you answer no, it will
use the address in the From: header field instead.  This option is useful for
reading a mailing list that sets the Reply-To: header field to the list address
and you want to send a private message to the author of a message.

<sect2>resolve<label id="resolve">
<p>
Type: boolean<newline>
Default: set

When set, the cursor will be automatically advanced to the next (possibly
undeleted) message whenever a command that modifies the current message is
executed.

<sect2>reverse&lowbar;alias<label id="reverse_alias">
<p>
Type: boolean<newline>
Default: unset

This variable controls whether or not Mutt will display the "personal" name
from your aliases in the index menu if it finds an alias that matches the
message's sender.  For example, if you have the following alias:

<tscreen><verb>
alias juser abd30425@somewhere.net (Joe User)
</verb></tscreen>

and then you receive mail which contains the following header:

<tscreen><verb>
From: abd30425@somewhere.net
</verb></tscreen>

It would be displayed in the index menu as ``Joe User'' instead of
``abd30425@somewhere.net.''  This is useful when the person's e-mail address
is not human friendly (like Compu&dollar;erve addresses).

<sect2>reverse&lowbar;name<label id="reverse_name">
<p>
Type: boolean<newline>
Default: unset

It may sometimes arrive that you receive mail to a certain machine,
move the messages to another machine, and reply to some the messages
from there.  If this variable is set, the default <em/From:/ line of
the reply messages is built using the address where you received the
messages you are replying to.  If the variable is unset, the <em/From:/
line will use your address on the current machine.

<sect2>save&lowbar;address<label id="save_address">
<p>
Type: boolean<newline>
Default: unset

If set, mutt will take the sender's full address when choosing a
default folder for saving a mail. If <ref id="save_name"
name="save&lowbar;name"> or <ref id="force_name"
name="force&lowbar;name"> is set too, the selection of the fcc folder
will be changed as well.

<sect2>save&lowbar;empty<label id="save_empty">
<p>
Type: boolean<newline>
Default: set

When unset, mailboxes which contain no saved messages will be removed when
closed (the exception is <ref id="spoolfile" name="spoolfile"> which is
never removed).  If set, mailboxes are never removed.

<bf/Note:/ This only applies to mbox and MMDF folders, Mutt does not
delete MH and Maildir directories.

<sect2>save&lowbar;name<label id="save_name">
<p>
Type: boolean<newline>
Default: unset

This variable controls how copies of outgoing messages are saved.  When
set, a check is made to see if a mailbox specified by the recipient
address exists (this is done by searching for a mailbox in the <ref
id="folder" name="folder"> directory with the <em/username/ part of
the recipient address).  If the mailbox exists, the outgoing message
will be saved to that mailbox, otherwise the message is saved to the
<ref id="record" name="record"> mailbox.

Also see the <ref id="force_name" name="&dollar;force&lowbar;name"> variable.

<sect2>sendmail<label id="sendmail">
<p>
Type: string<newline>
Default: /usr/lib/sendmail -oi -oem

Specifies the program and arguments used to deliver mail sent by Mutt.
Mutt expects that the specified program will read the message header for
recipients.

<sect2>sendmail&lowbar;wait<label id="sendmail_wait">
<p>
Type: number<newline>
Default: 0

Specifies the number of seconds to wait for the <ref id="sendmail"
name="sendmail"> process to finish before giving up and putting delivery in
the background.

Mutt interprets the value of this variable as follows:
<verb>
>0	number of seconds to wait for sendmail to finish before continuing
0	wait forever for sendmail to finish
<0	always put sendmail in the background without waiting
</verb>

Note that if you specify a value other than 0, the output of the child
process will be put in a temporary file.  If there is some error, you will
be informed as to where to find the output.

<sect2>shell<label id="shell">
<p>
Type: string<newline>
Default: retrieved from passwd file

Command to use when spawning a subshell.

<sect2>sig&lowbar;dashes<label id="sig_dashes">
<p>
Type: boolean<newline>
Default: set

If set, a line containing ``-- '' will be inserted before your <ref
id="signature" name="signature">.  It is <bf/strongly/ recommended that you
not unset this variable unless your ``signature'' contains just your name.
The reason for this is because many software packages use ``-- &bsol;n'' to
detect your signature.  For example, Mutt has the ability to highlight the
signature in a different color in the builtin pager.

<sect2>signature<label id="signature">
<p>
Type: string<newline>
Default: &tilde;/.signature

Specifies the filename of your signature, which is appended to all outgoing
messages.   If the filename ends with a pipe (``|''), it is assumed that
filename is a shell command and input should be read from its stdout.

<sect2>simple&lowbar;search<label id="simple_search">
<p>
Type: string<newline>
Default: &dquot;&tilde;f &percnt;s | &tilde;s &percnt;s&dquot;

Specifies how Mutt should expand a simple search into a real search pattern.
A simple search is one that does not contain any of the <tt/&tilde;/
operators.  See <ref id="searching" name="searching"> for more information
on search patterns.
 
For example, if you simply type <tt/joe/ at a search or limit prompt, Mutt
will automatically expand it to the value specified by this variable.  For
the default value it would be:

<tt/&tilde;f joe | &tilde;s joe/

<sect2>smart&lowbar;wrap<label id="smart_wrap">
<p>
Type: boolean<newline>
Default: set

Controls the display of lines longer then the screen width in the
internal pager. If set, long lines are wrapped at a word boundary.
If unset, lines are simply wrapped at the screen edge. Also see the
<ref id="markers" name="&dollar;markers"> variable.

<sect2>sort<label id="sort">
<p>
Type: string<newline>
Default: date-sent

Specifies how to sort messages in the <em/index/ menu.  Valid values are

<itemize>
<item>date-sent
<item>date-received
<item>from
<item>mailbox-order (unsorted)
<item>score
<item>subject
<item>threads
<item>to
</itemize>

You may optionally use the <tt/reverse-/ prefix to specify reverse sorting
order (example: <tt/set sort=reverse-date-sent/).

<sect2>sort&lowbar;alias<label id="sort_alias">
<p>
Type: string<newline>
Default: alias

Specifies how the entries in the `alias' menu are sorted.  The following are
legal values:
<verb>
alias		sort alphabetically by alias name
address		sort alphabetically by email address
unsorted	leave in order specified in .muttrc
</verb>

<sect2>sort&lowbar;aux<label id="sort_aux">
<p>
Type: string<newline>
Default: date-sent

When sorting by threads, this variable controls how threads are sorted in
relation to other threads, and how the branches of the thread trees are
sorted.  This can be set to any value that <ref id="sort" name="sort"> can,
except <tt/threads/ (in that case, mutt will just use <tt/date-sent/).  You
can also specify the <tt/last-/ prefix in addition to the <tt/reverse-/
prefix, but <tt/last-/ must come after <tt/reverse-/.  The <tt/last-/ prefix
causes messages to be sorted against its siblings by which has the last
descendant, using the rest of sort_aux as an ordering.  For instance,
<tt/set sort_aux=last-date-received/ would mean that if a new message is
received in a thread, that thread becomes the last one displayed (or the
first, if you have <tt/set sort=reverse-threads/.)

<sect2>sort&lowbar;browser<label id="sort_browser">
<p>
Type: string<newline>

Specifies how to sort entries in the file browser.  By default, the entries
are sorted alphabetically.  Valid values:

<itemize>
<item>date
<item>alpha (alphabetically)
</itemize>

You may optionally use the <tt/reverse-/ prefix to specify reverse sorting
order (example: <tt/set sort_browser=reverse-date/).

<sect2>spoolfile<label id="spoolfile">
<p>
Type: string<newline>
Default: most likely /var/mail/&dollar;USER or /usr/spool/mail/&dollar;USER

If your spool mailbox is in a non-default place where Mutt cannot find it,
you can specify its location with this variable.  Mutt will automatically
set this variable to the value of the environment variable <tt/&dollar;MAIL/
if it is not set.

<sect2>sort&lowbar;re<label id="sort_re">
<p>
Type: boolean
Default: set

This variable is only useful when sorting by threads with 
<ref id="strict_threads" name="strict&lowbar;threads"> unset.  In that case,
it changes the heuristic mutt uses to thread messages by subject.  With 
sort_re set, mutt will only attach a message as the child of another message
by subject if the subject of the child message starts with a substring matching 
the setting of <ref id="reply_regexp" name="reply&lowbar;regexp">.  With 
sort_re unset, mutt will attach the message whether or not this is the case,
as long as the non-<ref id="reply_regexp" name="reply&lowbar;regexp"> parts of
both messages are identical.

<sect2>status&lowbar;chars<label id="status_chars">
<p>
Type: string<newline>
Default: &dquot;-*&percnt;&dquot;

Controls the characters used by the &dquot;&percnt;r&dquot; indicator
in <ref id="status_format" name="status&lowbar;format">. The first
character is used when the mailbox is unchanged. The second is used when
the mailbox has been changed, and it needs to be resynchronized. The
third is used if the mailbox is in read-only mode, or if the mailbox
will not be written when exiting that mailbox (You can toggle whether
to write changes to a mailbox with the toggle-write operation, bound by
default to &dquot;&percnt;&dquot;).

<sect2>status&lowbar;format<label id="status_format">
<p>
Type: string<newline>
Default: &dquot;-&percnt;r-Mutt: &percnt;f &lsqb;Msgs:&percnt;?M?&percnt;M/?&percnt;m&percnt;?n? New:&percnt;n?&percnt;?o? Old:&percnt;o?&percnt;?d? Del:%d?&percnt;?F? Flag:%F?&percnt;?t? Tag:%t?&percnt;?p? Post:%p?&percnt;?b? Inc:&percnt;b? &percnt;?l? &percnt;l?&rsqb;---(&percnt;s/&percnt;S)-&percnt;&gt;-(&percnt;P)---&dquot;

Controls the format of the status line displayed in the
<em/index/ menu.  This string is similar to <ref id="index_format"
name="&dollar;index&lowbar;format">, but has its own set of printf()-like
sequences:

<tscreen><verb>
%b	number of mailboxes with new mail *
%d	number of deleted messages *
%h	local hostname
%f	the full pathname of the current mailbox
%F	number of flagged messages *
%l	size (in bytes) of the current mailbox *
%L	size (in bytes) of the messages shown (i.e., which match the current limit) *
%m	the number of messages in the mailbox *
%M	the number of messages shown (i.e., which match the current limit) *
%n	number of new messages in the mailbox *
%o	number of old unread messages
%p	number of postponed messages *
%P	percentage of the way through the index
%r	modified/read-only/won't-write indicator, according to $status_chars
%s	current sorting mode ($sort)
%S	current aux sorting method ($sort_aux)
%t	number of tagged messages *
%u	number of unread messages *
%v	Mutt version string
%V	currently active limit pattern, if any *

%>X	right justify the rest of the string and pad with "X"
%|X	pad to the end of the line with "X"

* = can be optionally printed if nonzero
</verb></tscreen>

Some of the above sequences can be used to optionally print a string if
their value is nonzero.  For example, you may only want to see the number of
flagged messages if such messages exist, since zero is not particularly
meaningful.  To optionally print a string based upon one of the above
sequences, the following construct is used

<tscreen><verb>
	%?<sequence_char>?<optional_string>?
</verb></tscreen>

where <em/sequence&lowbar;char/ is a character from the table above, and
<em/optional&lowbar;string/ is the string you would like printed if
<em/status&lowbar;char/ is nonzero.  <em/optional&lowbar;string/ <bf/may/
contain other sequence as well as normal text, but you may <bf/not/ nest
optional strings.

Here is an example illustrating how to optionally print the number of new
messages in a mailbox:

<tscreen><verb>
	%?n?%n new messages.?
</verb></tscreen>

Additionally you can switch between two strings, the first one, if a
value is zero, the second one, if the value is nonzero, by using the
following construct:

<tscreen><verb>
	%?<sequence_char>?<if_string>&<else_string>?
</verb></tscreen>

<sect2>status&lowbar;on&lowbar;top<label id="status_on_top">
<p>
Type: boolean<newline>
Default: unset

Setting this variable causes the <ref id="status_format" name="status
bar"> to be displayed on the first line of the screen rather than near
the bottom.

<sect2>strict&lowbar;threads<label id="strict_threads">
<p>
Type: boolean<newline>
Default: unset

If set, threading will only make use of the ``In-Reply-To'' and
``References'' fields when <ref id="sort" name="sorting"> by message
threads.  By default, messages with the same subject are grouped together in
``pseudo threads.''  This may not always be desirable, such as in a personal
mailbox where you might have several unrelated messages with the subject
``hi'' which will get grouped together.

<sect2>suspend<label id="suspend">
<p>
Type: boolean<newline>
Default: set

When <em/unset/, mutt won't stop when the user presses the
terminal's <em/susp/ key, usually ``control-Z''. This is useful
if you run mutt inside an xterm using a command like <tt/xterm
-e mutt/.

<sect2>thorough&lowbar;search<label id="thorough_search">
<p>
Type: boolean<newline>
Default: unset

Affects the <em/&tilde;b/ and <em/&tilde;h/ search operations described
in section <ref id="searching" name="Searching"> above.  If set, the
headers and attachments of messages to be searched are decoded before
searching.  If unset, messages are searched as they appear in the
folder.

<sect2>tilde<label id="tilde">
<p>
Type: boolean<newline>
Default: unset

When set, the internal-pager will pad blank lines to the bottom of the
screen with a tilde (&tilde;).

<sect2>timeout<label id="timeout">
<p>
Type: number<newline>
Default: 600

This variable controls the <em/number of seconds/ Mutt will wait for a key
to be pressed in the main menu before timing out and checking for new mail.
A value of zero or less will cause Mutt not to ever time out.

<sect2>tmpdir<label id="tmpdir">
<p>
Type: string<newline>
Default: /tmp

This variable allows you to specify where Mutt will place its temporary
files needed for displaying and composing messages.

<sect2>to&lowbar;chars<label id="to_chars">
<p>
Type: string<newline>
Default: &dquot; +TCF&dquot;

Controls the character used to indicate mail addressed to you.  The first
character is the one used when the mail is NOT addressed to your address
(default: space).  The second is used when you are the only recipient of the
message (default: +).  The third is when your address appears in the TO
header field, but you are not the only recipient of the message (default:
T).  The fourth character is used when your address is specified in the CC
header field, but you are not the only recipient.  The fifth character is used
to indicate mail that was sent by <em/you/.

<sect2>use&lowbar;8bitmime<label id="use_8bitmime">
<p>
Type: boolean<newline>
Default: unset

<bf/Warning:/ do not set this variable unless you are using a version of
sendmail which supports the <tt/-B8BITMIME/ flag (such as sendmail 8.8.x) or
you may not be able to send mail.

When <em/set/, Mutt will invoke <ref id="sendmail" name="&dollar;sendmail">
with the <tt/-B8BITMIME/ flag when sending 8-bit messages to enable ESMTP
negotiation.

<sect2>use&lowbar;domain<label id="use_domain">
<p>
Type: boolean<newline>
Default: set

When set, Mutt will qualify all local addresses (ones without the @host
portion) with the value of <ref id="hostname" name="&dollar;hostname">.  If
<em/unset/, no addresses will be qualified.

<sect2>use&lowbar;from<label id="use_from">
<p>
Type: boolean<newline>
Default: set

When <em/set/, Mutt will generate the `From:' header field when sending
messages.  If <em/unset/, no `From:' header field will be generated unless
the user explicitly sets one using the <ref id="my_hdr"
name="my&lowbar;hdr"> command.

<sect2>use&lowbar;mailcap<label id="use_mailcap">
<p>
Type: quad-option<newline>
Default: ask

If set to ``yes'', always try to use a mailcap entry to display a MIME
part that Mutt can't understand what to do with.  If ``ask'', prompt as
to whether to display as text or to use a mailcap entry.  If ``no'',
always view unsupported MIME types as text.

<bf/Note:/ For compatibility with <bf/metamail/, Mutt will also look at the
environment variable <em/MM&lowbar;NOASK/.  Setting this to <bf/1/ is
equivalent to setting <em/use&lowbar;mailcap/ to ``yes''.  Otherwise, the
value of <em/MM_NOASK/ is interpreted as a comma-separated list of type
names (without white space) for which the corresponding mailcap entries will
be used to display MIME parts without prompting the user for confirmation.

<sect2>pgp_verify&lowbar;sig<label id="pgp_verify_sig">
<p>
Type: quad-option<newline>
Default: yes

If ``yes'', always attempt to verify PGP/MIME signatures.  If ``ask'',
ask whether or not to verify the signature.  If ``no'', never attempt to
verify PGP/MIME signatures.

<sect2>visual<label id="visual">
<p>
Type: string<newline>
Default: &dollar;VISUAL

Specifies the visual editor to invoke when the <em/&tilde;v/ command is given in
the builtin editor.

<sect2>wait&lowbar;key<label id="wait_key">
<p>
Type: boolean<newline>
Default: set

Controls whether Mutt will ask you to press a key after
<em/shell-escape/, <em/pipe-message/, <em/pipe-entry/,
<em/print-message/, and <em/print-entry/ commands.

It is also used when viewing attachments with <ref id="auto_view"
name="autoview">, provided that the corresponding mailcap entry has a
<em/needsterminal/ flag, and the external program is interactive.

When set, Mutt will always ask for a key. When unset, Mutt will wait for
a key only if the external command returned a non-zero status.

<sect2>wrap&lowbar;search<label id="wrap_search">
<p>
Type: boolean<newline>
Default: set

Controls whether searches wrap around the end of the mailbox.

When set, searches will wrap around the first (or last) message. When
unset, searches will not wrap.

<sect2>write&lowbar;inc<label id="write_inc">
<p>
Type: number<newline>
Default: 10

When writing a mailbox, a message will be printed every
<em/write&lowbar;inc/ messages to indicate progress.  If set to 0, only
a single message will be displayed before writing a mailbox.

Also see the <ref id="read_inc" name="&dollar;read&lowbar;inc"> variable.

<sect1>Functions<label id="functions">
<p>
The following is the list of available functions listed by the mapping
in which they are available.  The default key setting is given, and an
explanation of what the function does.  The key bindings of these
functions can be changed with the <ref name="bind" id="bind">
command.

<sect2>generic
<p>

The <em/generic/ menu is not a real menu, but specifies common functions
(such as movement) available in all menus except for <em/pager/ and
<em/editor/.  Changing settings for this menu will affect the default
bindings for all menus (except as noted).

<verb>
bottom-page                L   move to the bottom of the page
current-bottom     not bound   move current entry to bottom of page
current-middle     not bound   move current entry to middle of page
current-top        not bound   move current entry to top of page
enter-command              :   enter a muttrc command
exit                       q   exit this menu
first-entry                =   move to the first entry
half-down                  ]   scroll down 1/2 page
half-up                    [   scroll up 1/2 page
help                       ?   this screen
jump                  number   jump to an index number
last-entry                 *   move to the last entry
middle-page                M   move to the middle of the page
next-entry                 j   move to the next entry
next-line                  >   scroll down one line
next-page                  z   move to the next page
previous-entry             k   move to the previous entry
previous-line              <   scroll up one line
previous-page              Z   move to the previous page
refresh                   ^L   clear and redraw the screen
search                     /   search for a regular expression
search-next                n   search for next match
search-opposite    not bound   search for next match in opposite direction
search-reverse         ESC /   search backwards for a regular expression
select-entry             RET   select the current entry
shell-escape               !   run a program in a subshell
tag-entry                  t   toggle the tag on the current entry
tag-prefix                 ;   apply next command to tagged entries
top-page                   H   move to the top of the page
</verb>
<sect2>index
<p>
<verb>
bounce-message             b   remail a message to another user
change-folder              c   open a different folder
change-folder-readonly ESC c   open a different folder in read only mode
clear-flag                 W   clear a status flag from a message
copy-message               C   copy a message to a file/mailbox
create-alias               a   create an alias from a message sender
decode-copy            ESC C   decode a message and copy it to a file/mailbox
decode-save            ESC s   decode a message and save it to a file/mailbox
delete-message             d   delete the current entry
delete-pattern             D   delete messages matching a pattern
delete-subthread       ESC d   delete all messages in subthread
delete-thread             ^D   delete all messages in thread
display-address            @   display full address of sender
display-headers            h   display message with full headers
display-message          RET   display a message
exit                       x   exit without saving changes
extract-keys              ^K   extract PGP public keys
fetch-mail                 G   retrieve mail from POP server
flag-message               F   toggle a message's 'important' flag
forget-passphrase         ^F   wipe PGP passphrase from memory
forward-message            f   forward a message with comments
group-reply                g   reply to all recipients
limit                      l   show only messages matching a pattern
list-reply                 L   reply to specified mailing list
mail                       m   compose a new mail message
mail-key               ESC k   mail a PGP public key
next-new                 TAB   jump to the next new message
next-subthread         ESC n   jump to the next subthread
next-thread               ^N   jump to the next thread
next-undeleted             j   move to the next undeleted message
next-unread        not bound   jump to the next unread message
pipe-message               |   pipe message/attachment to a shell command
previous-new         ESC TAB   jump to the previous new message
previous-page              Z   move to the previous page
previous-subthread     ESC p   jump to previous subthread
previous-thread           ^P   jump to previous thread
previous-undeleted         k   move to the last undelete message
previous-unread    not bound   jump to the previous unread message
print-message              p   print the current entry
query                      Q   query external program for addresses
quit                       q   save changes to mailbox and quit
read-subthread         ESC r   mark the current subthread as read
read-thread               ^R   mark the current thread as read
recall-message             R   recall a postponed message
reply                      r   reply to a message
save-message               s   save message/attachment to a file
set-flag                   w   set a status flag on a message
show-version               V   show the Mutt version number and date
show-limit             ESC l   show currently active limit pattern, if any
sort-mailbox               o   sort messages
sort-reverse               O   sort messages in reverse order
sync-mailbox               $   save changes to mailbox
tag-pattern                T   tag messages matching a pattern
tag-thread             ESC t   tag/untag all messages in the current thread
toggle-new                 N   toggle a message's 'new' flag
toggle-write               %   toggle whether the mailbox will be rewritten
undelete-message           u   undelete the current entry
undelete-pattern           U   undelete messages matching a pattern
undelete-subthread     ESC u   undelete all messages in subthread
undelete-thread           ^U   undelete all messages in thread
untag-pattern             ^T   untag messages matching a pattern
view-attachments           v   show MIME attachments
</verb>
<sect2>pager
<p>
<verb>
bottom                     $   jump to the bottom of the message
bounce-message             b   remail a message to another user
change-folder              c   open a different folder
change-folder-readonly ESC c   open a different folder in read only mode
copy-message               C   copy a message to a file/mailbox
create-alias               a   create an alias from a message sender
decode-copy            ESC C   decode a message and copy it to a file/mailbox
decode-save            ESC s   decode a message and save it to a file/mailbox
delete-message             d   delete the current entry
delete-subthread       ESC d   delete all messages in subthread
delete-thread             ^D   delete all messages in thread
display-address            @   display full address of sender
display-headers            h   display message with full headers
enter-command              :   enter a muttrc command
exit                       i   return to the main-menu
extract-keys              ^K   extract PGP public keys
flag-message               F   toggle a message's 'important' flag
forget-passphrase         ^F   wipe PGP passphrase from memory
forward-message            f   forward a message with comments
group-reply                g   reply to all recipients
half-up            not bound   move up one-half page
half-down          not bound   move down one-half page
help                       ?   this screen
list-reply                 L   reply to specified mailing list
mail                       m   compose a new mail message
mail-key               ESC k   mail a PGP public key
mark-as-new                N   toggle a message's 'new' flag
next-line                RET   scroll down one line
next-message               J   move to the next entry
next-new                 TAB   jump to the next new message
next-page                      move to the next page
next-subthread         ESC n   jump to the next subthread
next-thread               ^N   jump to the next thread
next-undeleted             j   move to the next undeleted message
next-unread        not bound   jump to the next unread message
pipe-message               |   pipe message/attachment to a shell command
previous-line      BackSpace   scroll up one line
previous-message           K   move to the previous entry
previous-new       not bound   jump to the previous new message
previous-page              -   move to the previous page
previous-subthread     ESC p   jump to previous subthread
previous-thread           ^P   jump to previous thread
previous-undeleted         k   move to the last undelete message
previous-unread    not bound   jump to the previous unread message
print-message              p   print the current entry
quit                       Q   save changes to mailbox and quit
read-subthread         ESC r   mark the current subthread as read
read-thread               ^R   mark the current thread as read
recall-message             R   recall a postponed message
redraw-screen             ^L   clear and redraw the screen
reply                      r   reply to a message
save-message               s   save message/attachment to a file
search                     /   search for a regular expression
search-next                n   search for next match
search-opposite    not bound   search for next match in opposite direction
search-reverse         ESC /   search backwards for a regular expression
search-toggle              \   toggle search pattern coloring
shell-escape               !   invoke a command in a subshell
show-version               V   show the Mutt version number and date
skip-quoted                S   skip beyond quoted text		
tag-message                t   tag a message
toggle-quoted              T   toggle display of quoted text
top                        ^   jump to the top of the message
undelete-message           u   undelete the current entry
undelete-subthread     ESC u   undelete all messages in subthread
undelete-thread           ^U   undelete all messages in thread
view-attachments           v   show MIME attachments
</verb>
<sect2>alias
<p>
<verb>
search                     /   search for a regular expression
search-next                n   search for next match
search-reverse         ESC /   search backwards for a regular expression
</verb>
<sect2>query
<p>
<verb>
create-alias               a   create an alias from a message sender
mail                       m   compose a new mail message
query                      Q   query external program for addresses
query-append               A   append new query results to current results
search                     /   search for a regular expression
search-next                n   search for next match
search-opposite    not bound   search for next match in opposite direction
search-reverse         ESC /   search backwards for a regular expression
</verb>
<sect2>attach
<p>
<verb>
bounce-message             b   remail a message to another user
decode-copy            ESC C   decode a message and copy it to a file/mailbox
decode-save            ESC s   decode a message and save it to a file/mailbox
delete-entry               d   delete the current entry
display-headers            h   display message with full headers
extract-keys              ^K   extract PGP public keys
forward-message            f   forward a message with comments
group-reply                g   reply to all recipients
list-reply                 L   reply to specified mailing list
pipe-entry                 |   pipe message/attachment to a shell command
print-entry                p   print the current entry
reply                      r   reply to a message
save-entry                 s   save message/attachment to a file
undelete-entry             u   undelete the current entry
view-attach              RET   view attachment using mailcap entry if necessary
view-mailcap               m   force viewing of attachment using mailcap
view-text                  T   view attachment as text
</verb>
<sect2>compose
<p>
<verb>
attach-file                a   attach a file(s) to this message
attach-key             ESC k   attach a PGP public key
copy-file                  C   save message/attachment to a file
detach-file                D   delete the current entry
display-headers            h   display message with full headers
edit-bcc                   b   edit the BCC list
edit-cc                    c   edit the CC list
edit-description           d   edit attachment description
edit-encoding             ^E   edit attachment trasfer-encoding
edit-fcc                   f   enter a file to save a copy of this message in
edit-from              ESC f   edit the from: field
edit-file               ^X e   edit the file to be attached
edit-headers               E   edit the message with headers
edit-message               e   edit the message
edit-mime                  m   edit attachment using mailcap entry
edit-reply-to              r   edit the Reply-To field
edit-subject               s   edit the subject of this message
edit-to                    t   edit the TO list
edit-type                 ^T   edit attachment type
filter-entry               F   filter attachment through a shell command
forget-passphrase         ^F   wipe PGP passphrase from memory
ispell                     i   run ispell on the message
new-mime                   n   compose new attachment using mailcap entry
pgp-menu                   p   show PGP options
pipe-entry                 |   pipe message/attachment to a shell command
postpone-message           P   save this message to send later
print-entry                l   print the current entry
rename-file                R   rename/move an attached file
send-message               y   send the message
toggle-unlink              u   toggle whether to delete file after sending it
view-attach              RET   view attachment using mailcap entry if necessary
</verb>
<sect2>postponed
<p>
<verb>
delete-entry               d   delete the current entry
undelete-entry             u   undelete the current entry
</verb>
<sect2>browser
<p>
<verb>
change-dir                 c   change directories
check-new                TAB   check mailboxes for new mail
enter-mask                 m   enter a file mask
search                     /   search for a regular expression
search-next                n   search for next match
search-reverse         ESC /   search backwards for a regular expression
select-new                 N   select a new file in this directory
sort                       o   sort messages
sort-reverse               O   sort messages in reverse order
</verb>
<sect2>pgp
<p>
<verb>
view-name                  %   view the key's user id
verify-key                 c   verify a PGP public key
</verb>
<sect2>editor
<p>
<verb>
backspace          BackSpace   delete the char in front of the cursor
backward-char             ^B   move the cursor one character to the left
bol                       ^A   jump to the beginning of the line
buffy-cycle            Space   cycle among incoming mailboxes
complete                 TAB   complete filename or alias
complete-query            ^T   complete address with query
delete-char               ^D   delete the char under the cursor
eol                       ^E   jump to the end of the line
forward-char              ^F   move the cursor one character to the right
history-down       not bound   scroll up through the history list
history-up         not bound   scroll up through the history list
kill-eol                  ^K   delete chars from cursor to end of line
kill-line                 ^U   delete all chars on the line
kill-word                 ^W   delete the word in front of the cursor
quote-char                ^V   quote the next typed key
</verb>

<sect>Miscellany
<p>

<sect1>Acknowledgements
<p>
Kari Hurrta
<htmlurl url="mailto:kari.hurtta@fmi.fi" name="&lt;kari.hurtta@fmi.fi&gt;">
co-developed the original MIME parsing code back in the ELM-ME days.

The following people have been very helpful to the development of Mutt:

Francois Berjon <htmlurl url="mailto:Francois.Berjon@aar.alcatel-alsthom.fr"
name="&lt;Francois.Berjon@aar.alcatel-alsthom.fr&gt;">,<newline>
Aric Blumer <htmlurl url="mailto:aric@fore.com" name="&lt;aric@fore.com&gt;">,<newline>
John Capo <htmlurl url="mailto:jc@irbs.com" name="&lt;jc@irbs.com&gt;">,<newline>
Liviu Daia <htmlurl url="mailto:daia@stoilow.imar.ro" name="&lt;daia@stoilow.imar.ro&gt;">,<newline>
David DeSimone <htmlurl url="mailto:fox@convex.hp.com" name="&lt;fox@convex.hp.com&gt;">,<newline>
Nickolay N. Dudorov <htmlurl url="mailto:nnd@wint.itfs.nsk.su" name="&lt;nnd@wint.itfs.nsk.su&gt;">,<newline>
Michael Finken <htmlurl url="mailto:finken@conware.de" name="&lt;finken@conware.de&gt;">,<newline>
Sven Guckes <htmlurl url="mailto:guckes@math.fu-berlin.de" name="&lt;guckes@math.fu-berlin.de&gt;">,<newline>
Mark Holloman <htmlurl url="mailto:holloman@nando.net" name="&lt;holloman@nando.net&gt;">,<newline>
Andreas Holzmann <htmlurl url="mailto:holzmann@fmi.uni-passau.de" name="&lt;holzmann@fmi.uni-passau.de&gt;">,<newline>
David Jeske <htmlurl url="mailto:jeske@igcom.net" name="&lt;jeske@igcom.net&gt;">,<newline>
Christophe Kalt <htmlurl url="mailto:kalt@hugo.int-evry.fr" name="&lt;kalt@hugo.int-evry.fr&gt;">,<newline>
Felix von Leitner (a.k.a ``Fefe'') <htmlurl url="mailto:leitner@math.fu-berlin.de" name="&lt;leitner@math.fu-berlin.de&gt;">,<newline>
Brandon Long <htmlurl url="mailto:blong@fiction.net" name="&lt;blong@fiction.net&gt;">,<newline>
Lars Marowsky-Bree <htmlurl url="mailto:lmb@pointer.in-minden.de" name="&lt;lmb@pointer.in-minden.de&gt;">,<newline>
Thomas ``Mike'' Michlmayr <htmlurl url="mailto:mike@cosy.sbg.ac.at" name="&lt;mike@cosy.sbg.ac.at&gt;">,<newline>
David O'Brien <htmlurl url="mailto:obrien@Nuxi.cs.ucdavis.edu" name="&lt;obrien@Nuxi.cs.ucdavis.edu&gt;">,<newline>
Clint Olsen <htmlurl url="mailto:olsenc@ichips.intel.com" name="&lt;olsenc@ichips.intel.com&gt;">,<newline>
Park Myeong Seok <htmlurl url="mailto:pms@romance.kaist.ac.kr" name="&lt;pms@romance.kaist.ac.kr&gt;">,<newline>
Thomas Parmelan <htmlurl url="mailto:tom@ankh.fr.eu.org" name="&lt;tom@ankh.fr.eu.org&gt;">,<newline>
Ollivier Robert <htmlurl url="mailto:roberto@keltia.freenix.fr" name="&lt;roberto@keltia.freenix.fr&gt;">,<newline>
Thomas Roessler <htmlurl url="mailto:roessler@guug.de" name="&lt;roessler@guug.de&gt;">,<newline>
Allain Thivillon <htmlurl url="mailto:Allain.Thivillon@alma.fr" name="&lt;Allain.Thivillon@alma.fr&gt;">,<newline>
Ken Weinert <htmlurl url="mailto:kenw@ihs.com" name="&lt;kenw@ihs.com&gt;">

<sect1>About this document
<p>
This document was written in SGML, and then rendered using the
<htmlurl url="http://pobox.com/~cg/sgmltools/" name="sgml-tools"> package.

</article>
